Debian Bug report logs - #660111
multiple, non-physically accesible, HDMI devices

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Andres Cimmarusti <acimmarusti@gmail.com>

Date: Thu, 16 Feb 2012 14:09:02 UTC

Severity: normal

Tags: upstream

Found in versions linux-2.6/3.1.8-2, 3.2.4-1

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Thu, 16 Feb 2012 14:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 16 Feb 2012 14:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: submit@bugs.debian.org
Subject: [linux-image-3.2] intel ibexpeak hdmi no sound out
Date: Thu, 16 Feb 2012 09:06:53 -0500
Package: linux-2.6
Version: 3.2.4-1
Severity: normal

Using kernel 3.0.20 (compiled by myself) HDMI sound works
out-of-the-box as tested with pulse audio (choosing the option Digital
Stereo (HDMI) Output) and by the command:

$ aplay -D plughw:0,3 /usr/share/sounds/alsa/Front_Center.wav

Alsa's device list reveals:

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Unfortunately with kernel 3.2.4 I get no sound out choosing the same
configuration in pulseaudio. Device is advertised correctly but
there's a bizarre multiplicity advertised:

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Using aplay successively with each device (3, 7 and 8) returns no
sound out except with device 7. For example:

$ aplay -D plughw:0,7 /usr/share/sounds/alsa/Front_Center.wav

This appears to be a bug in the kernel about this device, advertising
bogus nonexisting HDMI sound devices that causes pulse audio to get
confused.

Output of the alsa-info script for both kernels tested is listed below
after the kernel log and hardware info.


-- Package-specific info:
** Version:
Linux version 3.2.0-1-amd64 (Debian 3.2.4-1) (waldi@debian.org) (gcc
version 4.6.2 (Debian 4.6.2-12) ) #1 SMP Sun Feb 5 15:17:15 UTC 2012

** Command line:
BOOT_IMAGE=/boot/vmlinuz-3.2.0-1-amd64
root=UUID=b151a2a6-0f12-4392-aa83-6e9cdef3260c ro quiet

** Not tainted

** Kernel log:
[    3.278072] usb 2-1.5: New USB device strings: Mfr=1, Product=2,
SerialNumber=3
[    3.278076] usb 2-1.5: Product: USB Camera Device
[    3.278079] usb 2-1.5: Manufacturer: Syntek
[    3.278082] usb 2-1.5: SerialNumber: STK00001
[    3.286621] [drm] Initialized drm 1.1.0 20060810
[    3.292629] Intel(R) Wireless WiFi Link AGN driver for Linux, in-tree:
[    3.292634] Copyright(c) 2003-2011 Intel Corporation
[    3.292722] iwlwifi 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    3.292740] iwlwifi 0000:01:00.0: setting latency timer to 64
[    3.292784] iwlwifi 0000:01:00.0: pci_resource_len = 0x00002000
[    3.292789] iwlwifi 0000:01:00.0: pci_resource_base = ffffc90000658000
[    3.292794] iwlwifi 0000:01:00.0: HW Revision ID = 0x3E
[    3.292909] iwlwifi 0000:01:00.0: irq 44 for MSI/MSI-X
[    3.292970] iwlwifi 0000:01:00.0: Detected Intel(R) Centrino(R)
Advanced-N 6200 AGN, REV=0x74
[    3.293063] iwlwifi 0000:01:00.0: L1 Disabled; Enabling L0S
[    3.310564] iwlwifi 0000:01:00.0: device EEPROM VER=0x43a, CALIB=0x6
[    3.310572] iwlwifi 0000:01:00.0: Device SKU: 0X1f0
[    3.397362] iwlwifi 0000:01:00.0: Tunable channels: 13 802.11bg, 24
802.11a channels
[    3.397913] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    3.397923] i915 0000:00:02.0: setting latency timer to 64
[    3.398358] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    3.402989] asus_wmi: Asus Management GUID not found
[    3.414839] iwlwifi 0000:01:00.0: loaded firmware version 9.221.4.1
build 25532
[    3.415490] Registered led device: phy0-led
[    3.415726] Linux media interface: v0.10
[    3.421069] Linux video capture interface: v2.00
[    3.424425] ieee80211 phy0: Selected rate control algorithm 'iwl-agn-rs'
[    3.426296] uvcvideo: Found UVC 1.00 device USB Camera Device (174f:1420)
[    3.528687] input: USB Camera Device as
/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/input/input5
[    3.528815] usbcore: registered new interface driver uvcvideo
[    3.528820] USB Video Class driver (1.1.1)
[    3.540857] mtrr: type mismatch for c0000000,10000000 old:
write-back new: write-combining
[    3.540864] [drm] MTRR allocation failed.  Graphics performance may suffer.
[    3.541480] i915 0000:00:02.0: irq 45 for MSI/MSI-X
[    3.541491] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    3.541494] [drm] Driver supports precise vblank timestamp query.
[    3.541569] vgaarb: device changed decodes:
PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    3.861091] usbcore: registered new interface driver ath3k
[    4.063193] usb 1-1.3: USB disconnect, device number 3
[    4.104233] psmouse serio2: synaptics: Touchpad model: 1, fw: 6.2,
id: 0x81a0b1, caps: 0xa04711/0x200000/0x0
[    4.132441] fbcon: inteldrmfb (fb0) is primary device
[    4.149555] input: SynPS/2 Synaptics TouchPad as
/devices/platform/i8042/serio2/input/input6
[    4.369956] Console: switching to colour frame buffer device 170x48
[    4.376950] fb0: inteldrmfb frame buffer device
[    4.376952] drm: registered panic notifier
[    4.381062] acpi device:3e: registered as cooling_device4
[    4.381542] input: Video Bus as
/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input7
[    4.381698] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    4.381783] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[    4.381876] snd_hda_intel 0000:00:1b.0: PCI INT A -> GSI 22 (level,
low) -> IRQ 22
[    4.381987] snd_hda_intel 0000:00:1b.0: irq 46 for MSI/MSI-X
[    4.382042] snd_hda_intel 0000:00:1b.0: setting latency timer to 64
[    4.431079] hda_codec: ALC269: SKU not ready 0x598301f0
[    4.434070] input: HDA Digital PCBeep as
/devices/pci0000:00/0000:00:1b.0/input/input8
[    4.441679] HDMI status: Codec=3 Pin=4 Presence_Detect=0 ELD_Valid=0
[    4.442004] HDMI status: Codec=3 Pin=5 Presence_Detect=0 ELD_Valid=0
[    4.442338] HDMI status: Codec=3 Pin=6 Presence_Detect=0 ELD_Valid=0
[    4.442623] input: HDA Intel HDMI/DP,pcm=8 as
/devices/pci0000:00/0000:00:1b.0/sound/card0/input9
[    4.442770] input: HDA Intel HDMI/DP,pcm=7 as
/devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[    4.442951] input: HDA Intel HDMI/DP,pcm=3 as
/devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[    4.443845] input: HDA Intel Headphone as
/devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[    4.822193] Adding 4789244k swap on /dev/sda5.  Priority:-1
extents:1 across:4789244k SS
[    4.828200] EXT4-fs (sda1): re-mounted. Opts: (null)
[    4.865955] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro
[    4.890177] loop: module loaded
[    5.274045] usb 1-1.3: new full-speed USB device number 4 using ehci_hcd
[    5.366959] usb 1-1.3: New USB device found, idVendor=0cf3, idProduct=3005
[    5.366966] usb 1-1.3: New USB device strings: Mfr=0, Product=0,
SerialNumber=0
[    5.374942] Bluetooth: Generic Bluetooth USB driver ver 0.6
[    5.375488] usbcore: registered new interface driver btusb
[    5.463810] fuse init (API version 7.17)
[    6.041651] iwlwifi 0000:01:00.0: L1 Disabled; Enabling L0S
[    6.048410] iwlwifi 0000:01:00.0: Radio type=0x1-0x3-0x1
[    6.285135] iwlwifi 0000:01:00.0: L1 Disabled; Enabling L0S
[    6.291803] iwlwifi 0000:01:00.0: Radio type=0x1-0x3-0x1
[    6.387677] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[    6.439792] Bluetooth: RFCOMM TTY layer initialized
[    6.439801] Bluetooth: RFCOMM socket layer initialized
[    6.439805] Bluetooth: RFCOMM ver 1.11
[    6.443887] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    6.443892] Bluetooth: BNEP filters: protocol multicast
[    6.532426] r8169 0000:02:00.0: eth0: link down
[    6.533413] ADDRCONF(NETDEV_UP): eth0: link is not ready
[    8.402635] intel ips 0000:00:1f.6: i915 driver attached,
reenabling gpu turbo
[   21.416599] wlan0: authenticate with 00:26:cb:aa:fc:e9 (try 1)
[   21.418058] wlan0: authenticated
[   21.489416] wlan0: associate with 00:26:cb:aa:fc:e9 (try 1)
[   21.492459] wlan0: RX AssocResp from 00:26:cb:aa:fc:e9 (capab=0x431
status=0 aid=2)
[   21.492467] wlan0: associated
[   21.499258] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   21.499440] wlan0: deauthenticated from 00:26:cb:aa:fc:e9 (Reason: 10)
[   21.528455] cfg80211: Calling CRDA for country: US
[   24.818065] wlan0: authenticate with 00:26:cb:aa:fc:e9 (try 1)
[   24.820244] wlan0: authenticated
[   24.821143] wlan0: associate with 00:26:cb:aa:fc:e9 (try 1)
[   24.824521] wlan0: RX ReassocResp from 00:26:cb:aa:fc:e9
(capab=0x431 status=0 aid=2)
[   24.824585] wlan0: associated
[   24.911702] Intel AES-NI instructions are not detected.
[   35.792637] wlan0: no IPv6 routers present
[  123.494098] iwlwifi 0000:01:00.0: Tx aggregation enabled on ra =
00:26:cb:aa:fc:e9 tid = 0

** Model information
sys_vendor: To be filled by O.E.M.
product_name: To be filled by O.E.M.
product_version: AC5G3N-S8_F6
chassis_vendor: To Be Filled By O.E.M.
chassis_version: To Be Filled By O.E.M.
bios_vendor: American Megatrends Inc.
bios_version: Spring Peak
board_vendor: To be filled by O.E.M.
board_name: To be filled by O.E.M.
board_version: To be filled by O.E.M.

** Loaded modules:
cryptd
aes_x86_64
aes_generic
acpi_cpufreq
mperf
cpufreq_userspace
cpufreq_powersave
cpufreq_conservative
cpufreq_stats
bnep
rfcomm
binfmt_misc
fuse
btusb
loop
snd_hda_codec_hdmi
snd_hda_codec_realtek
joydev
snd_hda_intel
snd_hda_codec
snd_hwdep
snd_pcm_oss
snd_mixer_oss
snd_pcm
uvcvideo
arc4
videodev
snd_seq_midi
media
v4l2_compat_ioctl32
snd_rawmidi
snd_seq_midi_event
sparse_keymap
pci_hotplug
snd_seq
i915
snd_timer
snd_seq_device
iwlwifi
drm_kms_helper
drm
snd
mac80211
iTCO_wdt
ath3k
i2c_algo_bit
soundcore
bluetooth
psmouse
evdev
pcspkr
serio_raw
i2c_i801
iTCO_vendor_support
snd_page_alloc
intel_ips
i2c_core
cfg80211
wmi
battery
classmate_laptop
rfkill
video
button
ac
power_supply
processor
thermal_sys
ext4
mbcache
jbd2
crc16
sd_mod
crc_t10dif
ahci
libahci
ehci_hcd
libata
usbcore
scsi_mod
r8169
mii
usb_common

** Network interface configuration:

auto lo
iface lo inet loopback

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast
state DOWN qlen 1000
    link/ether 1c:6f:65:90:94:af brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 18:3d:a2:a9:d4:60 brd ff:ff:ff:ff:ff:ff
    inet 10.109.198.101/20 brd 10.109.207.255 scope global wlan0
    inet6 fe80::1a3d:a2ff:fea9:d460/64 scope link
       valid_lft forever preferred_lft forever

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed
multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:    4793      44    0    0    0     0          0         0
4793      44    0    0    0     0       0          0
 wlan0: 6001118    6457    0    0    0     0          0         0
1119546    6039    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0
  0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    6486 total packets received
    2 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    6484 incoming packets delivered
    6042 requests sent out
Icmp:
    0 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
    0 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
Tcp:
    244 active connections openings
    1 passive connection openings
    6 failed connection attempts
    3 connection resets received
    5 connections established
    6172 segments received
    5708 segments send out
    20 segments retransmited
    0 bad segments received.
    31 resets sent
Udp:
    318 packets received
    0 packets to unknown port received.
    0 packet receive errors
    318 packets sent
UdpLite:
TcpExt:
    106 TCP sockets finished time wait in fast timer
    58 delayed acks sent
    Quick ack mode was activated 105 times
    14 packets directly queued to recvmsg prequeue.
    43851 bytes directly received in process context from prequeue
    3049 packet headers predicted
    32 packets header predicted and directly queued to user
    603 acknowledgments not containing data payload received
    52 predicted acknowledgments
    20 congestion windows recovered without slow start after partial ack
    20 other TCP timeouts
    105 DSACKs sent for old packets
    12 DSACKs received
    4 connections reset due to unexpected data
    3 connections reset due to early user close
    TCPSACKDiscard: 24
    TCPDSACKIgnoredNoUndo: 9
IpExt:
    InMcastPkts: 9
    OutMcastPkts: 11
    InOctets: 5913814
    OutOctets: 912963
    InMcastOctets: 3132
    OutMcastOctets: 3212


** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DRAM
Controller [8086:0044] (rev 18)
	Subsystem: Giga-byte Technology Device [1458:5000]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Core
Processor Integrated Graphics Controller [8086:0046] (rev 18) (prog-if
00 [VGA controller])
	Subsystem: Giga-byte Technology Device [1458:d000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 45
	Region 0: Memory at fe000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at f080 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:16.0 Communication controller [0780]: Intel Corporation 5
Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
	Subsystem: Giga-byte Technology Device [1458:0000]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at fe509000 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:1a.0 USB controller [0c03]: Intel Corporation 5 Series/3400 Series
Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 06) (prog-if 20
[EHCI])
	Subsystem: Giga-byte Technology Device [1458:5004]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe508000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series
Chipset High Definition Audio [8086:3b56] (rev 06)
	Subsystem: Giga-byte Technology Device [1458:a950]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 46
	Region 0: Memory at fe500000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series
Chipset PCI Express Root Port 1 [8086:3b42] (rev 06) (prog-if 00
[Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Memory behind bridge: fe400000-fe4fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.4 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series
Chipset PCI Express Root Port 5 [8086:3b4a] (rev 06) (prog-if 00
[Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Prefetchable memory behind bridge: 00000000d0000000-00000000d00fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB controller [0c03]: Intel Corporation 5 Series/3400 Series
Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 06) (prog-if 20
[EHCI])
	Subsystem: Giga-byte Technology Device [1458:5004]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at fe507000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge
[8086:2448] (rev a6) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation Mobile 5 Series Chipset
LPC Interface Controller [8086:3b09] (rev 06)
	Subsystem: Giga-byte Technology Device [1458:5001]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series
Chipset 4 port SATA AHCI Controller [8086:3b29] (rev 06) (prog-if 01
[AHCI 1.0])
	Subsystem: Giga-byte Technology Device [1458:b002]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 43
	Region 0: I/O ports at f070 [size=8]
	Region 1: I/O ports at f060 [size=4]
	Region 2: I/O ports at f050 [size=8]
	Region 3: I/O ports at f040 [size=4]
	Region 4: I/O ports at f020 [size=32]
	Region 5: Memory at fe506000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset
SMBus Controller [8086:3b30] (rev 06)
	Subsystem: Giga-byte Technology Device [1458:5001]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at fe505000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at f000 [size=32]

00:1f.6 Signal processing controller [1180]: Intel Corporation 5
Series/3400 Series Chipset Thermal Subsystem [8086:3b32] (rev 06)
	Subsystem: Giga-byte Technology Device [1458:0000]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at fe504000 (64-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: intel ips

01:00.0 Network controller [0280]: Intel Corporation Centrino
Advanced-N 6200 [8086:422c] (rev 3e)
	Subsystem: Intel Corporation Centrino Advanced-N 6200 2x2 AGN [8086:1301]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 44
	Region 0: Memory at fe400000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlwifi

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev
06)
	Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard [1458:e000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 42
	Region 0: I/O ports at e000 [size=256]
	Region 2: Memory at d0004000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at d0000000 (64-bit, prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

ff:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath
Architecture Generic Non-core Registers [8086:2c62] (rev 05)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath
Architecture System Address Decoder [8086:2d01] (rev 05)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link
0 [8086:2d10] (rev 05)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI
Physical 0 [8086:2d11] (rev 05)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.2 Host bridge [0600]: Intel Corporation Core Processor Reserved
[8086:2d12] (rev 05)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.3 Host bridge [0600]: Intel Corporation Core Processor Reserved
[8086:2d13] (rev 05)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 003: ID 174f:1420 Syntek
Bus 001 Device 004: ID 0cf3:3005 Atheros Communications, Inc. AR3011 Bluetooth


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (490, 'testing'), (200, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.2.0-1-amd64 depends on:
ii  debconf [debconf-2.0]                   1.5.41
ii  initramfs-tools [linux-initramfs-tool]  0.99
ii  linux-base                              3.4
ii  module-init-tools                       3.16-1

Versions of packages linux-image-3.2.0-1-amd64 recommends:
ii  firmware-linux-free  3

Versions of packages linux-image-3.2.0-1-amd64 suggests:
pn  grub-pc        1.99-14
pn  linux-doc-3.2  <none>

Versions of packages linux-image-3.2.0-1-amd64 is related to:
pn  firmware-atheros        0.35
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-brcm80211      <none>
pn  firmware-intelwimax     <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
pn  firmware-iwlwifi        0.35
pn  firmware-libertas       <none>
pn  firmware-linux          0.35
pn  firmware-linux-nonfree  0.35
pn  firmware-myricom        <none>
pn  firmware-netxen         <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  firmware-realtek        0.35
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.2.0-1-amd64/postinst/depmod-error-initrd-3.2.0-1-amd64: false
  linux-image-3.2.0-1-amd64/postinst/missing-firmware-3.2.0-1-amd64:
  linux-image-3.2.0-1-amd64/postinst/ignoring-ramdisk:
  linux-image-3.2.0-1-amd64/prerm/removing-running-kernel-3.2.0-1-amd64: true

--===============4764992005872783285==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="alsa_info_3.0.20.txt"

upload=true&script=true&cardinfo=
!!################################
!!ALSA Information Script v 0.4.60
!!################################

!!Script ran on: Thu Feb 16 05:24:37 UTC 2012


!!Linux Distribution
!!------------------

Debian GNU/Linux wheezy/sid \n \l


!!DMI Information
!!---------------

Manufacturer:      To be filled by O.E.M.
Product Name:      To be filled by O.E.M.
Product Version:   AC5G3N-S8_F6


!!Kernel Information
!!------------------

Kernel release:    3.0.20-c2d.1-amd64
Operating System:  GNU/Linux
Architecture:      x86_64
Processor:         unknown
SMP Enabled:       Yes


!!ALSA Version
!!------------

Driver version:     1.0.24
Library version:    1.0.24.1
Utilities version:  1.0.24.2


!!Loaded ALSA modules
!!-------------------

snd_hda_intel


!!Sound Servers on this system
!!----------------------------

Pulseaudio:
      Installed - Yes (/usr/bin/pulseaudio)
      Running - Yes

ESound Daemon:
      Installed - Yes (/usr/bin/esd)
      Running - No


!!Soundcards recognised by ALSA
!!-----------------------------

 0 [Intel          ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xfe500000 irq 46


!!PCI Soundcards installed in the system
!!--------------------------------------

00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset
High Definition Audio (rev 06)


!!Advanced information - PCI Vendor/Device/Subsystem ID's
!!--------------------------------------------------------

00:1b.0 0403: 8086:3b56 (rev 06)
	Subsystem: 1458:a950


!!Modprobe options (Sound related)
!!--------------------------------

snd-atiixp-modem: index=-2
snd-intel8x0m: index=-2
snd-via82xx-modem: index=-2
snd-pcsp: index=-2
snd-usb-audio: index=-2


!!Loaded sound module options
!!--------------------------

!!Module: snd_hda_intel
	bdl_pos_adj : 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	beep_mode : 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
	enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
	enable_msi : -1
	id : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	index : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	model : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	patch : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	position_fix : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	power_save : 0
	power_save_controller : Y
	probe_mask : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	probe_only : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	single_cmd : N


!!HDA-Intel Codec information
!!---------------------------
--startcollapse--

Codec: Realtek ALC269VB
Address: 0
AFG Function Id: 0x1 (unsol 1)
Vendor Id: 0x10ec0269
Subsystem Id: 0x1458a950
Revision Id: 0x100100
No Modem Function Group found
Default PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Default Amp-In caps: N/A
Default Amp-Out caps: N/A
GPIO: io=2, o=0, i=0, unsolicited=1, wake=0
  IO[0]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
  IO[1]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
Node 0x02 [Audio Output] wcaps 0x1d: Stereo Amp-Out
  Control: name="Speaker Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
  Amp-Out vals:  [0x50 0x50]
  Converter: stream=5, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x03 [Audio Output] wcaps 0x1d: Stereo Amp-Out
  Control: name="Front Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Device: name="ALC269VB Analog", type="Audio", device=0
  Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
  Amp-Out vals:  [0x50 0x50]
  Converter: stream=5, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x04 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x05 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x06 [Audio Output] wcaps 0x211: Stereo Digital
  Converter: stream=0, channel=0
  Digital:
  Digital category: 0x0
  PCM:
    rates [0x5e0]: 44100 48000 88200 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x07 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x08 [Audio Input] wcaps 0x10011b: Stereo Amp-In
  Amp-In caps: ofs=0x0b, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x8b 0x8b]
  Converter: stream=0, channel=0
  SDI-Select: 0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Connection: 1
     0x23
Node 0x09 [Audio Input] wcaps 0x10011b: Stereo Amp-In
  Control: name="Capture Switch", index=0, device=0
  Control: name="Capture Volume", index=0, device=0
  Device: name="ALC269VB Analog", type="Audio", device=0
  Amp-In caps: ofs=0x0b, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x8f 0x8f]
  Converter: stream=1, channel=0
  SDI-Select: 0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Connection: 1
     0x22
Node 0x0a [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0b [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Control: name="Beep Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=4, ofs=0
  Control: name="Beep Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=4, ofs=0
  Amp-In caps: ofs=0x17, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x97 0x97] [0x97 0x97] [0x97 0x97] [0x97 0x97] [0x97 0x97]
  Connection: 5
     0x18 0x19 0x1a 0x1b 0x1d
Node 0x0c [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x00 0x00]
  Connection: 2
     0x02 0x0b
Node 0x0d [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x00 0x00]
  Connection: 2
     0x03 0x0b
Node 0x0e [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0f [Audio Mixer] wcaps 0x20010a: Mono Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00] [0x00]
  Connection: 2
     0x02 0x0b
Node 0x10 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x11 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x12 [Pin Complex] wcaps 0x40000b: Stereo Amp-In
  Control: name="Internal Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x03 0x03]
  Pincap 0x00000020: IN
  Pin Default 0x99a30940: [Fixed] Mic at Int ATAPI
    Conn = ATAPI, Color = Unknown
    DefAssociation = 0x4, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN
Node 0x13 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x14 [Pin Complex] wcaps 0x40018d: Stereo Amp-Out
  Control: name="Speaker Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x00010014: OUT EAPD Detect
  EAPD 0x2: EAPD
  Pin Default 0x99130110: [Fixed] Speaker at Int ATAPI
    Conn = ATAPI, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Connection: 2
     0x0c* 0x0d
Node 0x15 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x16 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x17 [Pin Complex] wcaps 0x40010c: Mono Amp-Out
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80]
  Pincap 0x00000010: OUT
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
  Connection: 1
     0x0f
Node 0x18 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Rear Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x02 0x02]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x00001734: IN OUT Detect
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x01a11830: [Jack] Mic at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0x3, Sequence = 0x0
  Pin-ctls: 0x24: IN VREF_80
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x0d
Node 0x19 [Pin Complex] wcaps 0x40008b: Stereo Amp-In
  Control: name="Front Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Pincap 0x00001724: IN Detect
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x02a1183f: [Jack] Mic at Ext Front
    Conn = 1/8, Color = Black
    DefAssociation = 0x3, Sequence = 0xf
  Pin-ctls: 0x24: IN VREF_80
  Unsolicited: tag=00, enabled=0
Node 0x1a [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Front Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x0000003c: IN OUT HP Detect
  Pin Default 0x02211020: [Jack] HP Out at Ext Front
    Conn = 1/8, Color = Black
    DefAssociation = 0x2, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=01, enabled=1
  Connection: 2
     0x0c 0x0d*
Node 0x1b [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x00000034: IN OUT Detect
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN
  Unsolicited: tag=00, enabled=0
  Connection: 2
     0x0c* 0x0d
Node 0x1c [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x1d [Pin Complex] wcaps 0x400000: Mono
  Pincap 0x00000020: IN
  Pin Default 0x598301f0: [N/A] Line In at Int ATAPI
    Conn = ATAPI, Color = Unknown
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN
Node 0x1e [Pin Complex] wcaps 0x400381: Stereo Digital
  Pincap 0x00000014: OUT Detect
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x06
Node 0x1f [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x20 [Vendor Defined Widget] wcaps 0xf00040: Mono
  Processing caps: benign=0, ncoeff=25
Node 0x21 [Pin Complex] wcaps 0x40018d: Stereo Amp-Out
  Control: name="Headphone Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x0000001c: OUT HP Detect
  Pin Default 0x0121101f: [Jack] HP Out at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0x1, Sequence = 0xf
  Pin-ctls: 0xc0: OUT HP
  Unsolicited: tag=04, enabled=1
  Connection: 2
     0x0c 0x0d*
Node 0x22 [Audio Selector] wcaps 0x30010b: Stereo Amp-In
  Control: name="Input Source", index=0, device=0
  Amp-In caps: N/A
  Amp-In vals:  [0x00 0x00] [0x00 0x00] [0x00 0x00] [0x00 0x00] [0x00
0x00] [0x00 0x00] [0x00 0x00]
  Connection: 7
     0x18* 0x19 0x1a 0x1b 0x1d 0x0b 0x12
Node 0x23 [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80
0x80] [0x80 0x80]
  Connection: 6
     0x18 0x19 0x1a 0x1b 0x1d 0x0b
Codec: Intel IbexPeak HDMI
Address: 3
AFG Function Id: 0x1 (unsol 0)
Vendor Id: 0x80862804
Subsystem Id: 0x80860101
Revision Id: 0x100000
No Modem Function Group found
Default PCM:
    rates [0x0]:
    bits [0x0]:
    formats [0x0]:
Default Amp-In caps: N/A
Default Amp-Out caps: N/A
GPIO: io=0, o=0, i=0, unsolicited=0, wake=0
Node 0x02 [Audio Output] wcaps 0x6611: 8-Channels Digital
  Control: name="IEC958 Playback Con Mask", index=0, device=0
  Control: name="IEC958 Playback Pro Mask", index=0, device=0
  Control: name="IEC958 Playback Default", index=0, device=0
  Control: name="IEC958 Playback Switch", index=0, device=0
  Device: name="HDMI 0", type="HDMI", device=3
  Converter: stream=8, channel=0
  Digital: Enabled
  Digital category: 0x0
  PCM:
    rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
    bits [0x1e]: 16 20 24 32
    formats [0x5]: PCM AC3
  Power states:  D0 D3
  Power: setting=D0, actual=D0
Node 0x03 [Audio Output] wcaps 0x6611: 8-Channels Digital
  Converter: stream=0, channel=0
  Digital: Enabled
  Digital category: 0x0
  PCM:
    rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
    bits [0x1e]: 16 20 24 32
    formats [0x5]: PCM AC3
  Power states:  D0 D3
  Power: setting=D0, actual=D0
Node 0x04 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x09000094: OUT Detect HBR HDMI DP
  Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=04, enabled=1
  Power states:  D0 D3
  Power: setting=D0, actual=D0
  Connection: 2
     0x02* 0x03
Node 0x05 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x09000094: OUT Detect HBR HDMI DP
  Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=05, enabled=1
  Power states:  D0 D3
  Power: setting=D0, actual=D0
  Connection: 2
     0x02* 0x03
Node 0x06 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x09000094: OUT Detect HBR HDMI DP
  Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=06, enabled=1
  Power states:  D0 D3
  Power: setting=D0, actual=D0
  Connection: 2
     0x02* 0x03
Node 0x07 [Vendor Defined Widget] wcaps 0xf00000: Mono
--endcollapse--



--===============4764992005872783285==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="alsa_info_3.2.5.txt"

upload=true&script=true&cardinfo=
!!################################
!!ALSA Information Script v 0.4.60
!!################################

!!Script ran on: Thu Feb 16 05:29:09 UTC 2012


!!Linux Distribution
!!------------------

Debian GNU/Linux wheezy/sid \n \l


!!DMI Information
!!---------------

Manufacturer:      To be filled by O.E.M.
Product Name:      To be filled by O.E.M.
Product Version:   AC5G3N-S8_F6


!!Kernel Information
!!------------------

Kernel release:    3.2.0-1-amd64
Operating System:  GNU/Linux
Architecture:      x86_64
Processor:         unknown
SMP Enabled:       Yes


!!ALSA Version
!!------------

Driver version:     1.0.24
Library version:    1.0.24.1
Utilities version:  1.0.24.2


!!Loaded ALSA modules
!!-------------------

snd_hda_intel


!!Sound Servers on this system
!!----------------------------

Pulseaudio:
      Installed - Yes (/usr/bin/pulseaudio)
      Running - Yes

ESound Daemon:
      Installed - Yes (/usr/bin/esd)
      Running - No


!!Soundcards recognised by ALSA
!!-----------------------------

 0 [Intel          ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xfe500000 irq 46


!!PCI Soundcards installed in the system
!!--------------------------------------

00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset
High Definition Audio (rev 06)


!!Advanced information - PCI Vendor/Device/Subsystem ID's
!!--------------------------------------------------------

00:1b.0 0403: 8086:3b56 (rev 06)
	Subsystem: 1458:a950


!!Modprobe options (Sound related)
!!--------------------------------

snd-atiixp-modem: index=-2
snd-intel8x0m: index=-2
snd-via82xx-modem: index=-2
snd-pcsp: index=-2
snd-usb-audio: index=-2


!!Loaded sound module options
!!--------------------------

!!Module: snd_hda_intel
	align_buffer_size : Y
	bdl_pos_adj : 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	beep_mode : 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
	enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
	enable_msi : -1
	id : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	index : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	model : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	patch : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	position_fix : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	power_save : 0
	power_save_controller : Y
	probe_mask : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	probe_only : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	single_cmd : N
	snoop : Y


!!HDA-Intel Codec information
!!---------------------------
--startcollapse--

Codec: Realtek ALC269VB
Address: 0
AFG Function Id: 0x1 (unsol 1)
Vendor Id: 0x10ec0269
Subsystem Id: 0x1458a950
Revision Id: 0x100100
No Modem Function Group found
Default PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Default Amp-In caps: N/A
Default Amp-Out caps: N/A
GPIO: io=2, o=0, i=0, unsolicited=1, wake=0
  IO[0]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
  IO[1]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
Node 0x02 [Audio Output] wcaps 0x1d: Stereo Amp-Out
  Control: name="PCM Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Device: name="ALC269VB Analog", type="Audio", device=0
  Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
  Amp-Out vals:  [0x50 0x50]
  Converter: stream=8, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x03 [Audio Output] wcaps 0x1d: Stereo Amp-Out
  Control: name="Headphone Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
  Amp-Out vals:  [0x50 0x50]
  Converter: stream=8, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x04 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x05 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x06 [Audio Output] wcaps 0x211: Stereo Digital
  Converter: stream=0, channel=0
  Digital:
  Digital category: 0x0
  PCM:
    rates [0x5e0]: 44100 48000 88200 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Node 0x07 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x08 [Audio Input] wcaps 0x10011b: Stereo Amp-In
  Amp-In caps: ofs=0x0b, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x8b 0x8b]
  Converter: stream=0, channel=0
  SDI-Select: 0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Connection: 1
     0x23
Node 0x09 [Audio Input] wcaps 0x10011b: Stereo Amp-In
  Control: name="Capture Switch", index=0, device=0
  Control: name="Capture Volume", index=0, device=0
  Device: name="ALC269VB Analog", type="Audio", device=0
  Amp-In caps: ofs=0x0b, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x8f 0x8f]
  Converter: stream=4, channel=0
  SDI-Select: 0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Connection: 1
     0x22
Node 0x0a [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0b [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Control: name="Rear Mic Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Control: name="Rear Mic Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Control: name="Front Mic Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=1, ofs=0
  Control: name="Front Mic Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=1, ofs=0
  Control: name="Beep Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=4, ofs=0
  Control: name="Beep Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=4, ofs=0
  Amp-In caps: ofs=0x17, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x97 0x97]
  Connection: 5
     0x18 0x19 0x1a 0x1b 0x1d
Node 0x0c [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x00 0x00]
  Connection: 2
     0x02 0x0b
Node 0x0d [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x00 0x00]
  Connection: 2
     0x03 0x0b
Node 0x0e [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0f [Audio Mixer] wcaps 0x20010a: Mono Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00] [0x80]
  Connection: 2
     0x02 0x0b
Node 0x10 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x11 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x12 [Pin Complex] wcaps 0x40000b: Stereo Amp-In
  Control: name="Internal Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x03 0x03]
  Pincap 0x00000020: IN
  Pin Default 0x99a30940: [Fixed] Mic at Int ATAPI
    Conn = ATAPI, Color = Unknown
    DefAssociation = 0x4, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN
Node 0x13 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x14 [Pin Complex] wcaps 0x40018d: Stereo Amp-Out
  Control: name="Speaker Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x00010014: OUT EAPD Detect
  EAPD 0x2: EAPD
  Pin Default 0x99130110: [Fixed] Speaker at Int ATAPI
    Conn = ATAPI, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Connection: 2
     0x0c* 0x0d
Node 0x15 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x16 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x17 [Pin Complex] wcaps 0x40010c: Mono Amp-Out
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80]
  Pincap 0x00000010: OUT
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
  Connection: 1
     0x0f
Node 0x18 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Rear Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x02 0x02]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x00001734: IN OUT Detect
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x01a11830: [Jack] Mic at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0x3, Sequence = 0x0
  Pin-ctls: 0x24: IN VREF_80
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x0d
Node 0x19 [Pin Complex] wcaps 0x40008b: Stereo Amp-In
  Control: name="Front Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Pincap 0x00001724: IN Detect
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x02a1183f: [Jack] Mic at Ext Front
    Conn = 1/8, Color = Black
    DefAssociation = 0x3, Sequence = 0xf
  Pin-ctls: 0x24: IN VREF_80
  Unsolicited: tag=00, enabled=0
Node 0x1a [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="PCM Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x0000003c: IN OUT HP Detect
  Pin Default 0x02211020: [Jack] HP Out at Ext Front
    Conn = 1/8, Color = Black
    DefAssociation = 0x2, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=01, enabled=1
  Connection: 2
     0x0c* 0x0d
Node 0x1b [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x00000034: IN OUT Detect
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN
  Unsolicited: tag=00, enabled=0
  Connection: 2
     0x0c* 0x0d
Node 0x1c [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x1d [Pin Complex] wcaps 0x400000: Mono
  Pincap 0x00000020: IN
  Pin Default 0x598301f0: [N/A] Line In at Int ATAPI
    Conn = ATAPI, Color = Unknown
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN
Node 0x1e [Pin Complex] wcaps 0x400381: Stereo Digital
  Pincap 0x00000014: OUT Detect
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x06
Node 0x1f [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x20 [Vendor Defined Widget] wcaps 0xf00040: Mono
  Processing caps: benign=0, ncoeff=25
Node 0x21 [Pin Complex] wcaps 0x40018d: Stereo Amp-Out
  Control: name="Headphone Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x0000001c: OUT HP Detect
  Pin Default 0x0121101f: [Jack] HP Out at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0x1, Sequence = 0xf
  Pin-ctls: 0xc0: OUT HP
  Unsolicited: tag=04, enabled=1
  Connection: 2
     0x0c 0x0d*
Node 0x22 [Audio Selector] wcaps 0x30010b: Stereo Amp-In
  Control: name="Input Source", index=0, device=0
  Amp-In caps: N/A
  Amp-In vals:  [0x00 0x00] [0x00 0x00] [0x00 0x00] [0x00 0x00] [0x00
0x00] [0x00 0x00] [0x00 0x00]
  Connection: 7
     0x18* 0x19 0x1a 0x1b 0x1d 0x0b 0x12
Node 0x23 [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80
0x80] [0x80 0x80]
  Connection: 6
     0x18 0x19 0x1a 0x1b 0x1d 0x0b
Codec: Intel IbexPeak HDMI
Address: 3
AFG Function Id: 0x1 (unsol 0)
Vendor Id: 0x80862804
Subsystem Id: 0x80860101
Revision Id: 0x100000
No Modem Function Group found
Default PCM:
    rates [0x0]:
    bits [0x0]:
    formats [0x0]:
Default Amp-In caps: N/A
Default Amp-Out caps: N/A
GPIO: io=0, o=0, i=0, unsolicited=0, wake=0
Node 0x02 [Audio Output] wcaps 0x6611: 8-Channels Digital
  Converter: stream=0, channel=0
  Digital: Enabled GenLevel
  Digital category: 0x2
  PCM:
    rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
    bits [0x1e]: 16 20 24 32
    formats [0x5]: PCM AC3
  Power states:  D0 D3
  Power: setting=D0, actual=D0
Node 0x03 [Audio Output] wcaps 0x6611: 8-Channels Digital
  Converter: stream=0, channel=0
  Digital: Enabled
  Digital category: 0x0
  PCM:
    rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
    bits [0x1e]: 16 20 24 32
    formats [0x5]: PCM AC3
  Power states:  D0 D3
  Power: setting=D0, actual=D0
Node 0x04 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Control: name="IEC958 Playback Con Mask", index=0, device=0
  Control: name="IEC958 Playback Pro Mask", index=0, device=0
  Control: name="IEC958 Playback Default", index=0, device=0
  Control: name="IEC958 Playback Switch", index=0, device=0
  Control: name="ELD", index=0, device=3
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x09000094: OUT Detect HBR HDMI DP
  Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
  Pin-ctls: 0x00:
  Unsolicited: tag=04, enabled=1
  Power states:  D0 D3
  Power: setting=D0, actual=D0
  Connection: 2
     0x02* 0x03
Node 0x05 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Control: name="IEC958 Playback Con Mask", index=1, device=0
  Control: name="IEC958 Playback Pro Mask", index=1, device=0
  Control: name="IEC958 Playback Default", index=1, device=0
  Control: name="IEC958 Playback Switch", index=1, device=0
  Control: name="ELD", index=0, device=7
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x09000094: OUT Detect HBR HDMI DP
  Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
  Pin-ctls: 0x00:
  Unsolicited: tag=05, enabled=1
  Power states:  D0 D3
  Power: setting=D0, actual=D0
  Connection: 2
     0x02* 0x03
Node 0x06 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Control: name="IEC958 Playback Con Mask", index=2, device=0
  Control: name="IEC958 Playback Pro Mask", index=2, device=0
  Control: name="IEC958 Playback Default", index=2, device=0
  Control: name="IEC958 Playback Switch", index=2, device=0
  Control: name="ELD", index=0, device=8
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x09000094: OUT Detect HBR HDMI DP
  Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
  Pin-ctls: 0x00:
  Unsolicited: tag=06, enabled=1
  Power states:  D0 D3
  Power: setting=D0, actual=D0
  Connection: 2
     0x02* 0x03
Node 0x07 [Vendor Defined Widget] wcaps 0xf00000: Mono
--endcollapse--



--===============4764992005872783285==--




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sat, 18 Feb 2012 02:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Feb 2012 02:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: 660111@bugs.debian.org, control@bugs.debian.org
Subject: more info
Date: Fri, 17 Feb 2012 21:52:09 -0500
retitle 660111 [linux-image-3.2] ALC269VB HDMI single physical port ->
multiple devices detected
quit

After some online searching for this card's codec alc269vb I found
several reports (some very old...) of the problem in Arch Linux:

https://bbs.archlinux.org/viewtopic.php?id=133222

They point to a solution which is no longer documented. However, I did
some more digging around and found a workaround:

ftp://download.nvidia.com/XFree86/gpu-hdmi-audio-document/gpu-hdmi-audio.html#_pulseaudio_default_device
or
http://wiki.xbmc.org/index.php?title=HOW-TO:Setup_HDMI_audio_on_GeForce_GT210,_GT220,_or_GT240#PulseAudio_Configuration
or
http://www.mail-archive.com/pulseaudio-discuss@mail.0pointer.de/msg07433.html

However, all these discussions point to NVIDIA cards, which are known
for having several HDMI ports available. My laptop only has one, which
in case of the 3.0.x kernel was assigned to the default HDMI alsa
device #3 (and pulseaudio had no trouble using it). Now with kernel
3.2.x, my card appears to have 3 HDMI ports. The one on device #3 is
no longer the actual connector on the laptop, but device #7 is,
however pulseaudio only loads the first device by default.

The workaround, as listed in the 3 links provided, is to force pulse
to load the device that actually works adding this line to
/etc/pulse/default.pa

load-module module-alsa-sink device=hw:0,7

This works, I have just tested it. But I don't understand why my
device, having only one physical output can be detected as having
three, this is why I think the bug report should remain open.
Furthermore this workaround hinders me from manually choosing the
output device on pavucontrol as I did before, thus I cannot use the
laptop speakers..

Should a bug report be filed against pulseaudio for lacking the
capability to handle several HDMI outputs? I'm of the opinion that
this is not necessary seeing as they are already aware of the problem.




Changed Bug title to '[linux-image-3.2] ALC269VB HDMI single physical port ->' from '[linux-image-3.2] intel ibexpeak hdmi no sound out' Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 02:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sat, 18 Feb 2012 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Feb 2012 03:06:03 GMT) Full text and rfc822 format available.

Message #17 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: [3.0 -> 3.2.4 regression] intel ibexpeak hdmi no sound out
Date: Fri, 17 Feb 2012 21:03:31 -0600
Hi Andres,

Andres Cimmarusti wrote:

> Should a bug report be filed against pulseaudio for lacking the
> capability to handle several HDMI outputs?

Maybe, but I don't think this particular case warrants that.  If I
understand correctly you have only one HDMI output, and a kernel
regression is causing more than one to be reported.

Can you narrow down the regression range by a bisection search
through kernels at <http://snapshot.debian.org/> to find the first
broken one?

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sat, 18 Feb 2012 03:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Feb 2012 03:45:04 GMT) Full text and rfc822 format available.

Message #22 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: 660111@bugs.debian.org, control@bugs.debian.org
Date: Fri, 17 Feb 2012 22:41:57 -0500
retitle 660111 ALC269VB HDMI 3 devices detected instead of 1
quit




Changed Bug title to 'ALC269VB HDMI 3 devices detected instead of 1' from '[linux-image-3.2] ALC269VB HDMI single physical port ->' Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 03:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sat, 18 Feb 2012 05:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Feb 2012 05:21:03 GMT) Full text and rfc822 format available.

Message #29 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 660111@bugs.debian.org, control@bugs.debian.org
Subject: Re: [3.0 -> 3.2.4 regression] intel ibexpeak hdmi no sound out
Date: Sat, 18 Feb 2012 00:18:12 -0500
retitle 660111 [3.0 to 3.1 regression] HDMI 3 devices instead of 1
quit

> Can you narrow down the regression range by a bisection search
> through kernels at <http://snapshot.debian.org/> to find the first
> broken one?

I installed two kernels from snapshots. Using date 2012-02-01 I was
able to pull in a 3.1.8 kernel that exhibited the same problem as
kernels 3.2.x.
I also used data 20111201 and pulled in a debian 3.0.x kernel. This
one didn't have the problem (as in the case of my own 3.0.20).

So I guess this is a regression from 3.0 to 3.1 that is still a problem in 3.2.

Andres




Changed Bug title to '[3.0 to 3.1 regression] HDMI 3 devices instead of 1' from 'ALC269VB HDMI 3 devices detected instead of 1' Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 05:21:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/3.1.8-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 05:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sat, 18 Feb 2012 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Feb 2012 06:15:03 GMT) Full text and rfc822 format available.

Message #38 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: [3.0 -> 3.1.8 regression] intel ibexpeak hdmi no sound out
Date: Sat, 18 Feb 2012 00:12:50 -0600
Andres Cimmarusti wrote:

> I installed two kernels from snapshots. Using date 2012-02-01 I was
> able to pull in a 3.1.8 kernel that exhibited the same problem as
> kernels 3.2.x.
> I also used data 20111201 and pulled in a debian 3.0.x kernel. This
> one didn't have the problem (as in the case of my own 3.0.20).

Thanks, that's very useful.

Perhaps v3.1-rc2~4^2~47^2~89 (ALSA: hda: HDMI: Support codecs with
fewer cvts than pins, 2011-07-01) is the problematic patch.  Can you
check this guess, like so?

0. Prerequisites:
	apt-get install git build-essential

1. Get a copy of the kernel:
	git clone \
	  git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
	cd linux

   Or, if you already have a copy, update it:
	cd linux
	git fetch origin

2. Try the suspect commit:
	git checkout v3.1-rc2~4^2~47^2~89
	cp /boot/config-$(uname -r) .config; # current configuration
	make localmodconfig; # optional: minimize configuration
	make deb-pkg; # optionally with -j<num> for parallel build
	dpkg -i ../<name of package>
	reboot
	aplay -l

3. Try without it:
	cd linux
	git reset --keep HEAD^; # checking out the immediately previous version
	make deb-pkg; # maybe with -j4
	dpkg -i ../<name of package>
	reboot
	aplay -l

If the suspect commit reproduces the problem and its parent does not,
please contact Stephen Warren <swarren@nvidia.com> for advice, cc-ing
Takashi Iwai <tiwai@suse.de>, alsa-devel@alsa-project.org, and either
me or this bug log so we can track it.  Be sure to mention:

 - steps to reproduce the problem, expected result, actual result, and
   how the difference indicates a bug
 - which kernel versions you have tested and what happened with each
 - where one can find your alsa-info.sh output with a problematic and
   unproblematic kernel (e.g., attaching them should be fine)
 - what kinds of tests you would be able to carry out (e.g., are you
   able to test patches for debugging if provided?)
 - any other weird observations or workarounds
 - a link to http://bugs.debian.org/660111 for context

If my guess is wrong, we can try using "git bisect" for a more
systematic search (see the git-bisect(1) manpage for details).

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sat, 18 Feb 2012 18:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Feb 2012 18:00:11 GMT) Full text and rfc822 format available.

Message #43 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: [3.0 -> 3.1.8 regression] intel ibexpeak hdmi no sound out
Date: Sat, 18 Feb 2012 12:58:20 -0500
> Perhaps v3.1-rc2~4^2~47^2~89 (ALSA: hda: HDMI: Support codecs with
> fewer cvts than pins, 2011-07-01) is the problematic patch.  Can you
> check this guess, like so?

That patch that you mention is included in the 3.0.x kernels as the
matter of fact. Thus I don't think it would have caused the problem.
See for example:

http://git.kernel.org/?p=linux/kernel/git/stable/linux-stable.git;a=commit;h=384a48d71520ca569a63f1e61e51a538bedb16df

and

http://git.kernel.org/?p=linux/kernel/git/stable/linux-stable.git;a=shortlog;h=384a48d71520ca569a63f1e61e51a538bedb16df

I didn't find this out the easy way. I compiled the kernel with your
instructions and suddenly the name was 3.0.0-rc2 instead of 3.1.0-rc2
as I expected.

I'll try to find a relevant patch for alsa hda hdmi in the 3.1
development series. I've looked a good candidates, but always on the
"wrong" development cycle...
This one seems promising though:

http://git.alsa-project.org/?p=alsa-kernel.git;a=commit;h=0b6c49b59fb272c1a20f79202693ed1072e9548c

How did you get that number you gave me before to use with git?
basically I'm asking how do I get it for this patch ? I'm going to
simply download the snapshot and try it for now. There are other
suspicious patches submitted around the same time. I shall try them at
some point:

http://git.kernel.org/?p=linux/kernel/git/stable/linux-stable.git;a=shortlog;h=0b6c49b59fb272c1a20f79202693ed1072e9548c

Cheers

Andres




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sat, 18 Feb 2012 18:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Feb 2012 18:18:05 GMT) Full text and rfc822 format available.

Message #48 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: [3.0 -> 3.1.8 regression] intel ibexpeak hdmi no sound out
Date: Sat, 18 Feb 2012 12:14:48 -0600
Andres Cimmarusti wrote:

> How did you get that number you gave me before to use with git?
> basically I'm asking how do I get it for this patch ? I'm going to
> simply download the snapshot and try it for now. There are other
> suspicious patches submitted around the same time. I shall try them at
> some point:
>
> http://git.kernel.org/?p=linux/kernel/git/stable/linux-stable.git;a=shortlog;h=0b6c49b59fb272c1a20f79202693ed1072e9548c

Git will accept the hexdigits after "h=" above.

I'd suggest using "git bisect" for a more systematic search.  See

  http://schacon.github.com/git/git-bisect-lk2009.html

for details, or I can give more detailed instructions in a few hours.

Thanks much,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sun, 19 Feb 2012 06:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 19 Feb 2012 06:39:06 GMT) Full text and rfc822 format available.

Message #53 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: [3.0 -> 3.1.8 regression] intel ibexpeak hdmi no sound out
Date: Sun, 19 Feb 2012 01:35:13 -0500
Thanks for the git crash course. I did not look at 'git-bisect' too
much. It is more systematic, but how to test each commit confused me
some.

I found the patch that brings about the problem. It turns out it
happened quite early in the 3.1 kernel merge window. This the commit
that changes things:

http://git.kernel.org/?p=linux/kernel/git/stable/linux-stable.git;a=commit;h=76531d4166fb620375ff3c1ac24753265216d579

Which is more elaborate in the alsa-git repo:

http://git.alsa-project.org/?p=alsa-kernel.git;a=commit;h=76531d4166fb620375ff3c1ac24753265216d579

Unfortunately this commit is rather extensive and includes many
changes. I believe alsa-git has the detailed commits leading to this
merge here:

http://git.alsa-project.org/?p=alsa-kernel.git;a=shortlog;h=76531d4166fb620375ff3c1ac24753265216d579

Particularly, I found this commit rather suspicious:

http://git.alsa-project.org/?p=alsa-kernel.git;a=commit;h=4c11398edc19fdd9c651f3ff287cd628fecaf574

I'm not sure how to test each alsa commit individually. I guess I have
to build alsa externally...  Perhaps it's time to send this upstream?

Cheers,

Andres




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sun, 19 Feb 2012 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 19 Feb 2012 14:21:04 GMT) Full text and rfc822 format available.

Message #58 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: [3.0 -> 3.1.8 regression] intel ibexpeak hdmi no sound out
Date: Sun, 19 Feb 2012 08:19:46 -0600
Andres Cimmarusti wrote:

> I found the patch that brings about the problem. It turns out it
> happened quite early in the 3.1 kernel merge window. This the commit
> that changes things:
>
> [...]76531d4166fb620375ff3c1ac24753265216d579

To be clear, are you saying "git bisect" told you that 76531d4166 was
the first bad commit?

If so, that means that _both_ its parents (7d339ae and a353fbb) tested
fine and that the merge tested as broken.  Which would mean that
either we have a heisenbug and all information so far is suspect, or
their interaction produced the bug.

If you have been using "git bisect", could you attach the output of
"git bisect log"?

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sun, 19 Feb 2012 15:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 19 Feb 2012 15:30:09 GMT) Full text and rfc822 format available.

Message #63 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: [3.0 -> 3.1.8 regression] intel ibexpeak hdmi no sound out
Date: Sun, 19 Feb 2012 10:28:09 -0500
> To be clear, are you saying "git bisect" told you that 76531d4166 was
> the first bad commit?

Not exactly. I told you I got confused on how to use git-bisect, so I
didn't use it (I didn't understand how is it supposed to check each
commit, when another kernel is running). I simply used your first
suggestion for debugging which was:

git checkout 76531d4166...
cp /boot/config... .config
make -j4 deb-pkg

The kernel produced here showed the problem, however another kernel
compiled before with commit 7d339ae99758bc21033d4a19bcd4f7b55f96e24e
(which is exactly the one prior) wasn't affected.

> If so, that means that _both_ its parents (7d339ae and a353fbb) tested
> fine and that the merge tested as broken.  Which would mean that
> either we have a heisenbug and all information so far is suspect, or
> their interaction produced the bug.

mmm... I believe I tested the "first" parent and it worked fine. On
the git web link I sent you that lists all the kernel commits that
occurred around this time, there's a clear series of commits. It
follows that 76531d4166 is preceded by 7d339ae, so I tested both, the
former showed the problem and the latter did not. Is this enough?

> If you have been using "git bisect", could you attach the output of
> "git bisect log"?

Sorry I did not use it. If you point me in the right direction I can
try to use it

Thanks for all your help

Andres




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Wed, 22 Feb 2012 01:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Feb 2012 01:15:07 GMT) Full text and rfc822 format available.

Message #68 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: [3.0 -> 3.1.8 regression] intel ibexpeak hdmi no sound out
Date: Tue, 21 Feb 2012 19:10:24 -0600
Hi Andres,

Andres Cimmarusti wrote:

>> To be clear, are you saying "git bisect" told you that 76531d4166 was
>> the first bad commit?
>
> Not exactly. I told you I got confused on how to use git-bisect

My bad.  I forgot I hadn't given the git bisect demo.

So, it works like this:

	git bisect start; # we're bisecting!
	git bisect bad v3.2.4
	git bisect bad 76531d4166; # tested bad
	... continue listing bad commits ...
	git bisect good 7d339ae99

Now git will choose a version to test.  So:

	make silentoldconfig; # reuse configuration
	make -j4 deb-pkg

That produces a package to try.  Once you see how it behaves, you can do:

	git bisect good; # if it shows one HDMI output
	git bisect bad; # if it shows three
	git bisect skip; # if some other bug makes it hard to test

And then git will check out another commit for you.

If you have the gitk package installed, you can run "git bisect visualize"
at any step to watch the regression range narrowing.  Eventually it will
find the first bad commit, but if you're bored before then, you can run
"git bisect log" to get a log others can use to pick up where you left off.

Thanks and hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Wed, 22 Feb 2012 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Feb 2012 06:15:03 GMT) Full text and rfc822 format available.

Message #73 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: [3.0 -> 3.1.8 regression] intel ibexpeak hdmi no sound out
Date: Wed, 22 Feb 2012 01:10:39 -0500
[Message part 1 (text/plain, inline)]
Found the first bad commit. It was the one you suspected all along!

I will submit this issue upstream. Thanks for your invaluable help and demos!

Cheers

Andres
[git_bisect_1st_bad.txt (text/plain, attachment)]
[git_bisect_log.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Wed, 22 Feb 2012 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Feb 2012 06:45:03 GMT) Full text and rfc822 format available.

Message #78 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: swarren@nvidia.com
Cc: tiwai@suse.de, alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 660111@bugs.debian.org
Subject: multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Wed, 22 Feb 2012 01:43:44 -0500
[Message part 1 (text/plain, inline)]
Dear Mr. Warren,

I recently upgraded my laptop to Debian testing (from Debian stable +
the longterm stable 3.0.x kernel). The newer kernel 3.2.x came with a
regression that git bisect has traced down to one of your commits in
the early 3.1.x kernel development stage (git bisect output and git
bisect log attached).

Under kernel 3.0.x HDMI sound works out-of-the-box as tested with
pulse audio (choosing the option Digital
Stereo (HDMI) Output) and by the command:

$ aplay -D plughw:0,3 /usr/share/sounds/alsa/Front_Center.wav

Alsa's device list reveals:

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Unfortunately with kernel 3.2.x and 3.1.x I get no sound out choosing the same
configuration in pulseaudio. Device is advertised correctly but
there's a bizarre multiplicity advertised:

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Using aplay with device 3 says device is busy. Device 7 works
correctly (but is not available in pulseaudio unless forced by
default, which then renders internal speakers disabled) and device 8
produces no sound out.

This appears to be a regression in the kernel about this device,
advertising non-physically connected HDMI sound devices that cause
pulse audio to get
confused (Pulseaudio only seems to be able to handle one HDMI output
by default device 0,3).

Output of the alsa-info script for kernel 3.0.20 and 3.2.4 is attached.

Can you please advice how to fix this problem? I see there was a patch
about the same time meant to address the multiplicity of port
advertised and restrict to the ones being used, but this doesn't seem
to be working here (see
http://git.kernel.org/?p=linux/kernel/git/stable/linux-stable.git;a=commit;h=0b6c49b59fb272c1a20f79202693ed1072e9548c)

For reference, this is the original Debian bug report:
http://bugs.debian.org/660111

Best Regards,

Andres Cimmarusti
[git_bisect_1st_bad.txt (text/plain, attachment)]
[git_bisect_log.txt (text/plain, attachment)]
[alsa-info_3.0.20.txt (text/plain, attachment)]
[alsa-info_3.2.4.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Wed, 22 Feb 2012 07:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Feb 2012 07:45:05 GMT) Full text and rfc822 format available.

Message #83 received at 660111@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: swarren@nvidia.com, alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 660111@bugs.debian.org
Subject: Re: multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Wed, 22 Feb 2012 08:44:06 +0100
At Wed, 22 Feb 2012 01:43:44 -0500,
Andres Cimmarusti wrote:
> 
> [1  <text/plain; UTF-8 (7bit)>]
> Dear Mr. Warren,
> 
> I recently upgraded my laptop to Debian testing (from Debian stable +
> the longterm stable 3.0.x kernel). The newer kernel 3.2.x came with a
> regression that git bisect has traced down to one of your commits in
> the early 3.1.x kernel development stage (git bisect output and git
> bisect log attached).
> 
> Under kernel 3.0.x HDMI sound works out-of-the-box as tested with
> pulse audio (choosing the option Digital
> Stereo (HDMI) Output) and by the command:
> 
> $ aplay -D plughw:0,3 /usr/share/sounds/alsa/Front_Center.wav
> 
> Alsa's device list reveals:
> 
> $ aplay -l
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
>   Subdevices: 0/1
>   Subdevice #0: subdevice #0
> card 0: Intel [HDA Intel], device 3: HDMI 0 [HDMI 0]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> 
> Unfortunately with kernel 3.2.x and 3.1.x I get no sound out choosing the same
> configuration in pulseaudio. Device is advertised correctly but
> there's a bizarre multiplicity advertised:
> 
> $ aplay -l
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> card 0: Intel [HDA Intel], device 3: HDMI 0 [HDMI 0]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> card 0: Intel [HDA Intel], device 7: HDMI 1 [HDMI 1]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> card 0: Intel [HDA Intel], device 8: HDMI 2 [HDMI 2]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> 
> Using aplay with device 3 says device is busy. Device 7 works
> correctly (but is not available in pulseaudio unless forced by
> default, which then renders internal speakers disabled) and device 8
> produces no sound out.
> 
> This appears to be a regression in the kernel about this device,
> advertising non-physically connected HDMI sound devices that cause
> pulse audio to get
> confused (Pulseaudio only seems to be able to handle one HDMI output
> by default device 0,3).

The biggest problem is that PA checks only the first HDMI device.
In that sense, this is no regression in the kernel side, although I
know it's annoying.

If the new two pins can be never used, i.e. physically unreachable,
we may disable these pins by giving the proper default pin-config
values.  Usually it's a job of BIOS.  But if BIOS doesn't do it, user
need to do it manually.

Build your kernel with CONFIG_SND_HDA_HWDEP=y,
CONFIG_SND_HDA_RECONFIG=y, CONFIG_SND_HDA_PATCH_LOADER=y.
I guess most of distro kernels are built with them.
Then create a file containing below in /lib/firmware, such as,
/lib/firmware/ibx-hdmi:

================================================================
[codec]
0x80862804 0x80860101 3
[pincfg]
0x04 0x411111f0
0x06 0x411111f0
================================================================

Now pass this file to "patch" module option for snd-hda-intel.
For example, create a file in /etc/modprobe.d/,
e.g. /etc/modprobe.d/50-hdmi.conf, containing the line

options snd-hda-intel patch="ibx-hdmi"

Then reload the driver or reboot.  This will disable pins 0x04 and
0x06 so that only the pin 0x05 will be used.


Takashi

> 
> Output of the alsa-info script for kernel 3.0.20 and 3.2.4 is attached.
> 
> Can you please advice how to fix this problem? I see there was a patch
> about the same time meant to address the multiplicity of port
> advertised and restrict to the ones being used, but this doesn't seem
> to be working here (see
> http://git.kernel.org/?p=linux/kernel/git/stable/linux-stable.git;a=commit;h=0b6c49b59fb272c1a20f79202693ed1072e9548c)
> 
> For reference, this is the original Debian bug report:
> http://bugs.debian.org/660111
> 
> Best Regards,
> 
> Andres Cimmarusti
> [2 git_bisect_1st_bad.txt <text/plain; US-ASCII (base64)>]
> 384a48d71520ca569a63f1e61e51a538bedb16df is the first bad commit
> commit 384a48d71520ca569a63f1e61e51a538bedb16df
> Author: Stephen Warren <swarren@nvidia.com>
> Date:   Wed Jun 1 11:14:21 2011 -0600
> 
>     ALSA: hda: HDMI: Support codecs with fewer cvts than pins
>     
>     The general concept of this change is to create a PCM device for each
>     pin widget instead of each converter widget. Whenever a PCM is opened,
>     a converter is dynamically selected to drive that pin based on those
>     available for muxing into the pin.
>     
>     The one thing this model doesn't support is a single PCM/converter
>     sending audio to multiple pin widgets at once.
>     
>     Note that this means that a struct hda_pcm_stream's nid variable is
>     set to 0 except between a stream's open and cleanup calls. The dynamic
>     de-assignment of converters to PCMs occurs within cleanup, not close,
>     in order for it to co-incide with when controller stream IDs are
>     cleaned up from converters.
>     
>     While the PCM for a pin is not open, the pin is disabled (its widget
>     control's PIN_OUT bit is cleared) so that if the currently routed
>     converter is used to drive a different PCM/pin, that audio does not
>     leak out over a disabled pin.
>     
>     We use the recently added SPDIF virtualization feature in order to
>     create SPDIF controls for each pin widget instead of each converter
>     widget, so that state is specific to a PCM.
>     
>     In order to support this, a number of more mechanical changes are made:
>     
>     * s/nid/pin_nid/ or s/nid/cvt_nid/ in many places in order to make it
>       clear exactly what the code is dealing with.
>     
>     * We now have per_pin and per_cvt arrays in hdmi_spec to store relevant
>       data. In particular, we store a converter's capabilities in the per_cvt
>       entry, rather than relying on a combination of codec_pcm_pars and
>       the struct hda_pcm_stream.
>     
>     * ELD-related workarounds were removed from hdmi_channel_allocation
>       into hdmi_instrinsic in order to simplifiy infoframe calculations and
>       remove HW dependencies.
>     
>     * Various functions only apply to a single pin, since there is now
>       only 1 pin per PCM. For example, hdmi_setup_infoframe,
>       hdmi_setup_stream.
>     
>     * hdmi_add_pin and hdmi_add_cvt are more oriented at pure codec parsing
>       and data retrieval, rather than determining which pins/converters
>       are to be used for creating PCMs.
>     
>     This is quite a large change; it may be appropriate to simply read the
>     result of the patch rather than the diffs. Some small parts of the change
>     might be separable into different patches, but I think the bulk of the
>     change will probably always be one large patch. Hopefully the change
>     isn't too opaque!
>     
>     This has been tested on:
>     
>     * NVIDIA GeForce 400 series discrete graphics card. This model has the
>       classical 1:1:1 codec:converter:pcm widget model. Tested stereo PCM
>       audio to a PC monitor that supports audio.
>     
>     * NVIDIA GeForce 520 discrete graphics card. This model is the new
>       1 codec n converters m pins m>n model. Tested stereo PCM audio to a
>       PC monitor that supports audio.
>     
>     * NVIDIA GeForce 400 series laptop graphics chip. This model has the
>       classical 1:1:1 codec:converter:pcm widget model. Tested stereo PCM,
>       multi-channel PCM, and AC3 pass-through to an AV receiver.
>     
>     * Intel Ibex Peak laptop. This model is the new 1 codec n converters m
>       pins m>n model. Tested stereo PCM, multi-channel PCM, and AC3 pass-
>       through to an AV receiver.
>     
>     Note that I'm not familiar at all with AC3 pass-through. Hence, I may
>     not have covered all possible mechanisms that are applicable here. I do
>     know that my receiver definitely received AC3, not decoded PCM. I tested
>     with mplayer's "-afm hwac3" and/or "-af lavcac3enc" options, and alsa a
>     WAV file that I believe has AC3 content rather than PCM.
>     
>     I also tested:
>     * Play a stream
>     * Mute while playing
>     * Stop stream
>     * Play some other streams to re-assign the converter to a different
>       pin, PCM, set of SPDIF controls, ... hence hopefully triggering
>       cleanup for the original PCM.
>     * Unmute original stream while not playing
>     * Play a stream on the original pin/PCM.
>     
>     This was to test SPDIF control virtualization.
>     
>     Signed-off-by: Stephen Warren <swarren@nvidia.com>
>     Signed-off-by: Takashi Iwai <tiwai@suse.de>
> 
> :040000 040000 894370c6534b1bf03df9a8a8c7d85c2eeffc7555 98cb8a73a0ed46f034e25bd35002930bc22376ef M	sound
> [3 git_bisect_log.txt <text/plain; US-ASCII (base64)>]
> git bisect log
> git bisect start
> # bad: [76531d4166fb620375ff3c1ac24753265216d579] Merge branch 'topic/hda' into for-linus
> git bisect bad 76531d4166fb620375ff3c1ac24753265216d579
> # good: [7d339ae99758bc21033d4a19bcd4f7b55f96e24e] Merge branch 'topic/misc' into for-linus
> git bisect good 7d339ae99758bc21033d4a19bcd4f7b55f96e24e
> # bad: [39fa84e94a7df64a6ba27669ef98b51994fb6894] ALSA: hda - Simplify EAPD control in patch_realtek.c
> git bisect bad 39fa84e94a7df64a6ba27669ef98b51994fb6894
> # bad: [096a885494f6b89a9962c6faf18e1c6092e7919c] ALSA: hda - Initialize input-path dynamically in patch_via.c
> git bisect bad 096a885494f6b89a9962c6faf18e1c6092e7919c
> # bad: [e06e5a297474c8027beffe10541981845ca0c98b] ALSA: hda - Defer mixer element creation to the right time in patch_via.c
> git bisect bad e06e5a297474c8027beffe10541981845ca0c98b
> # bad: [b4a655e81d4d1d12abc92d29dfb7550e66a08799] ALSA: hda - Judge playback stream from stream id in azx_via_get_position()
> git bisect bad b4a655e81d4d1d12abc92d29dfb7550e66a08799
> # good: [3aaf898025b1f75f30457e00e890c9f7c43567ab] ALSA: hda: Separate generic and non-generic implementations
> git bisect good 3aaf898025b1f75f30457e00e890c9f7c43567ab
> # bad: [384a48d71520ca569a63f1e61e51a538bedb16df] ALSA: hda: HDMI: Support codecs with fewer cvts than pins
> git bisect bad 384a48d71520ca569a63f1e61e51a538bedb16df
> # good: [2def8172c6611f2577260287ebf5dd3b63f7ef55] ALSA: hda: hdmi_eld_update_pcm_info: update a stream in place
> git bisect good 2def8172c6611f2577260287ebf5dd3b63f7ef55
> [4 alsa-info_3.0.20.txt <text/plain; US-ASCII (base64)>]
> !!################################
> !!ALSA Information Script v 0.4.60
> !!################################
> 
> !!Script ran on: Thu Feb 16 05:24:37 UTC 2012
> 
> 
> !!Linux Distribution
> !!------------------
> 
> Debian GNU/Linux wheezy/sid \n \l
> 
> 
> !!DMI Information
> !!---------------
> 
> Manufacturer:      To be filled by O.E.M.
> Product Name:      To be filled by O.E.M.
> Product Version:   AC5G3N-S8_F6
> 
> 
> !!Kernel Information
> !!------------------
> 
> Kernel release:    3.0.20-c2d.1-amd64
> Operating System:  GNU/Linux
> Architecture:      x86_64
> Processor:         unknown
> SMP Enabled:       Yes
> 
> 
> !!ALSA Version
> !!------------
> 
> Driver version:     1.0.24
> Library version:    1.0.24.1
> Utilities version:  1.0.24.2
> 
> 
> !!Loaded ALSA modules
> !!-------------------
> 
> snd_hda_intel
> 
> 
> !!Sound Servers on this system
> !!----------------------------
> 
> Pulseaudio:
>       Installed - Yes (/usr/bin/pulseaudio)
>       Running - Yes
> 
> ESound Daemon:
>       Installed - Yes (/usr/bin/esd)
>       Running - No
> 
> 
> !!Soundcards recognised by ALSA
> !!-----------------------------
> 
>  0 [Intel          ]: HDA-Intel - HDA Intel
>                       HDA Intel at 0xfe500000 irq 46
> 
> 
> !!PCI Soundcards installed in the system
> !!--------------------------------------
> 
> 00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset
> High Definition Audio (rev 06)
> 
> 
> !!Advanced information - PCI Vendor/Device/Subsystem ID's
> !!--------------------------------------------------------
> 
> 00:1b.0 0403: 8086:3b56 (rev 06)
> 	Subsystem: 1458:a950
> 
> 
> !!Modprobe options (Sound related)
> !!--------------------------------
> 
> snd-atiixp-modem: index=-2
> snd-intel8x0m: index=-2
> snd-via82xx-modem: index=-2
> snd-pcsp: index=-2
> snd-usb-audio: index=-2
> 
> 
> !!Loaded sound module options
> !!--------------------------
> 
> !!Module: snd_hda_intel
> 	bdl_pos_adj : 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
> 	beep_mode : 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
> 	enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
> 	enable_msi : -1
> 	id : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
> 	index : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
> 	model : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
> 	patch : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
> 	position_fix : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
> 	power_save : 0
> 	power_save_controller : Y
> 	probe_mask : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
> 	probe_only : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
> 	single_cmd : N
> 
> 
> !!HDA-Intel Codec information
> !!---------------------------
> --startcollapse--
> 
> Codec: Realtek ALC269VB
> Address: 0
> AFG Function Id: 0x1 (unsol 1)
> Vendor Id: 0x10ec0269
> Subsystem Id: 0x1458a950
> Revision Id: 0x100100
> No Modem Function Group found
> Default PCM:
>     rates [0x560]: 44100 48000 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
> Default Amp-In caps: N/A
> Default Amp-Out caps: N/A
> GPIO: io=2, o=0, i=0, unsolicited=1, wake=0
>   IO[0]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
>   IO[1]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
> Node 0x02 [Audio Output] wcaps 0x1d: Stereo Amp-Out
>   Control: name="Speaker Playback Volume", index=0, device=0
>     ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>   Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
>   Amp-Out vals:  [0x50 0x50]
>   Converter: stream=5, channel=0
>   PCM:
>     rates [0x560]: 44100 48000 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
> Node 0x03 [Audio Output] wcaps 0x1d: Stereo Amp-Out
>   Control: name="Front Playback Volume", index=0, device=0
>     ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>   Device: name="ALC269VB Analog", type="Audio", device=0
>   Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
>   Amp-Out vals:  [0x50 0x50]
>   Converter: stream=5, channel=0
>   PCM:
>     rates [0x560]: 44100 48000 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
> Node 0x04 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x05 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x06 [Audio Output] wcaps 0x211: Stereo Digital
>   Converter: stream=0, channel=0
>   Digital:
>   Digital category: 0x0
>   PCM:
>     rates [0x5e0]: 44100 48000 88200 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
> Node 0x07 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x08 [Audio Input] wcaps 0x10011b: Stereo Amp-In
>   Amp-In caps: ofs=0x0b, nsteps=0x1f, stepsize=0x05, mute=1
>   Amp-In vals:  [0x8b 0x8b]
>   Converter: stream=0, channel=0
>   SDI-Select: 0
>   PCM:
>     rates [0x560]: 44100 48000 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
>   Connection: 1
>      0x23
> Node 0x09 [Audio Input] wcaps 0x10011b: Stereo Amp-In
>   Control: name="Capture Switch", index=0, device=0
>   Control: name="Capture Volume", index=0, device=0
>   Device: name="ALC269VB Analog", type="Audio", device=0
>   Amp-In caps: ofs=0x0b, nsteps=0x1f, stepsize=0x05, mute=1
>   Amp-In vals:  [0x8f 0x8f]
>   Converter: stream=1, channel=0
>   SDI-Select: 0
>   PCM:
>     rates [0x560]: 44100 48000 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
>   Connection: 1
>      0x22
> Node 0x0a [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x0b [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
>   Control: name="Beep Playback Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=4, ofs=0
>   Control: name="Beep Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=4, ofs=0
>   Amp-In caps: ofs=0x17, nsteps=0x1f, stepsize=0x05, mute=1
>   Amp-In vals:  [0x97 0x97] [0x97 0x97] [0x97 0x97] [0x97 0x97] [0x97 0x97]
>   Connection: 5
>      0x18 0x19 0x1a 0x1b 0x1d
> Node 0x0c [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
>   Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-In vals:  [0x00 0x00] [0x00 0x00]
>   Connection: 2
>      0x02 0x0b
> Node 0x0d [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
>   Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-In vals:  [0x00 0x00] [0x00 0x00]
>   Connection: 2
>      0x03 0x0b
> Node 0x0e [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x0f [Audio Mixer] wcaps 0x20010a: Mono Amp-In
>   Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-In vals:  [0x00] [0x00]
>   Connection: 2
>      0x02 0x0b
> Node 0x10 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x11 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x12 [Pin Complex] wcaps 0x40000b: Stereo Amp-In
>   Control: name="Internal Mic Boost Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=0, ofs=0
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
>   Amp-In vals:  [0x03 0x03]
>   Pincap 0x00000020: IN
>   Pin Default 0x99a30940: [Fixed] Mic at Int ATAPI
>     Conn = ATAPI, Color = Unknown
>     DefAssociation = 0x4, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x20: IN
> Node 0x13 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x14 [Pin Complex] wcaps 0x40018d: Stereo Amp-Out
>   Control: name="Speaker Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x00010014: OUT EAPD Detect
>   EAPD 0x2: EAPD
>   Pin Default 0x99130110: [Fixed] Speaker at Int ATAPI
>     Conn = ATAPI, Color = Unknown
>     DefAssociation = 0x1, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x40: OUT
>   Unsolicited: tag=00, enabled=0
>   Connection: 2
>      0x0c* 0x0d
> Node 0x15 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x16 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x17 [Pin Complex] wcaps 0x40010c: Mono Amp-Out
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x80]
>   Pincap 0x00000010: OUT
>   Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
>     Conn = 1/8, Color = Black
>     DefAssociation = 0xf, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x00:
>   Connection: 1
>      0x0f
> Node 0x18 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
>   Control: name="Rear Mic Boost Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=0, ofs=0
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
>   Amp-In vals:  [0x02 0x02]
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x80 0x80]
>   Pincap 0x00001734: IN OUT Detect
>     Vref caps: HIZ 50 GRD 80
>   Pin Default 0x01a11830: [Jack] Mic at Ext Rear
>     Conn = 1/8, Color = Black
>     DefAssociation = 0x3, Sequence = 0x0
>   Pin-ctls: 0x24: IN VREF_80
>   Unsolicited: tag=00, enabled=0
>   Connection: 1
>      0x0d
> Node 0x19 [Pin Complex] wcaps 0x40008b: Stereo Amp-In
>   Control: name="Front Mic Boost Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=0, ofs=0
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
>   Amp-In vals:  [0x00 0x00]
>   Pincap 0x00001724: IN Detect
>     Vref caps: HIZ 50 GRD 80
>   Pin Default 0x02a1183f: [Jack] Mic at Ext Front
>     Conn = 1/8, Color = Black
>     DefAssociation = 0x3, Sequence = 0xf
>   Pin-ctls: 0x24: IN VREF_80
>   Unsolicited: tag=00, enabled=0
> Node 0x1a [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
>   Control: name="Front Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
>   Amp-In vals:  [0x00 0x00]
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x0000003c: IN OUT HP Detect
>   Pin Default 0x02211020: [Jack] HP Out at Ext Front
>     Conn = 1/8, Color = Black
>     DefAssociation = 0x2, Sequence = 0x0
>   Pin-ctls: 0x40: OUT
>   Unsolicited: tag=01, enabled=1
>   Connection: 2
>      0x0c 0x0d*
> Node 0x1b [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
>   Amp-In vals:  [0x00 0x00]
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x80 0x80]
>   Pincap 0x00000034: IN OUT Detect
>   Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
>     Conn = 1/8, Color = Black
>     DefAssociation = 0xf, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x20: IN
>   Unsolicited: tag=00, enabled=0
>   Connection: 2
>      0x0c* 0x0d
> Node 0x1c [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x1d [Pin Complex] wcaps 0x400000: Mono
>   Pincap 0x00000020: IN
>   Pin Default 0x598301f0: [N/A] Line In at Int ATAPI
>     Conn = ATAPI, Color = Unknown
>     DefAssociation = 0xf, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x20: IN
> Node 0x1e [Pin Complex] wcaps 0x400381: Stereo Digital
>   Pincap 0x00000014: OUT Detect
>   Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
>     Conn = 1/8, Color = Black
>     DefAssociation = 0xf, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x40: OUT
>   Unsolicited: tag=00, enabled=0
>   Connection: 1
>      0x06
> Node 0x1f [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x20 [Vendor Defined Widget] wcaps 0xf00040: Mono
>   Processing caps: benign=0, ncoeff=25
> Node 0x21 [Pin Complex] wcaps 0x40018d: Stereo Amp-Out
>   Control: name="Headphone Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x0000001c: OUT HP Detect
>   Pin Default 0x0121101f: [Jack] HP Out at Ext Rear
>     Conn = 1/8, Color = Black
>     DefAssociation = 0x1, Sequence = 0xf
>   Pin-ctls: 0xc0: OUT HP
>   Unsolicited: tag=04, enabled=1
>   Connection: 2
>      0x0c 0x0d*
> Node 0x22 [Audio Selector] wcaps 0x30010b: Stereo Amp-In
>   Control: name="Input Source", index=0, device=0
>   Amp-In caps: N/A
>   Amp-In vals:  [0x00 0x00] [0x00 0x00] [0x00 0x00] [0x00 0x00] [0x00
> 0x00] [0x00 0x00] [0x00 0x00]
>   Connection: 7
>      0x18* 0x19 0x1a 0x1b 0x1d 0x0b 0x12
> Node 0x23 [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
>   Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-In vals:  [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80
> 0x80] [0x80 0x80]
>   Connection: 6
>      0x18 0x19 0x1a 0x1b 0x1d 0x0b
> Codec: Intel IbexPeak HDMI
> Address: 3
> AFG Function Id: 0x1 (unsol 0)
> Vendor Id: 0x80862804
> Subsystem Id: 0x80860101
> Revision Id: 0x100000
> No Modem Function Group found
> Default PCM:
>     rates [0x0]:
>     bits [0x0]:
>     formats [0x0]:
> Default Amp-In caps: N/A
> Default Amp-Out caps: N/A
> GPIO: io=0, o=0, i=0, unsolicited=0, wake=0
> Node 0x02 [Audio Output] wcaps 0x6611: 8-Channels Digital
>   Control: name="IEC958 Playback Con Mask", index=0, device=0
>   Control: name="IEC958 Playback Pro Mask", index=0, device=0
>   Control: name="IEC958 Playback Default", index=0, device=0
>   Control: name="IEC958 Playback Switch", index=0, device=0
>   Device: name="HDMI 0", type="HDMI", device=3
>   Converter: stream=8, channel=0
>   Digital: Enabled
>   Digital category: 0x0
>   PCM:
>     rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
>     bits [0x1e]: 16 20 24 32
>     formats [0x5]: PCM AC3
>   Power states:  D0 D3
>   Power: setting=D0, actual=D0
> Node 0x03 [Audio Output] wcaps 0x6611: 8-Channels Digital
>   Converter: stream=0, channel=0
>   Digital: Enabled
>   Digital category: 0x0
>   PCM:
>     rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
>     bits [0x1e]: 16 20 24 32
>     formats [0x5]: PCM AC3
>   Power states:  D0 D3
>   Power: setting=D0, actual=D0
> Node 0x04 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x09000094: OUT Detect HBR HDMI DP
>   Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
>     Conn = Digital, Color = Unknown
>     DefAssociation = 0x1, Sequence = 0x0
>   Pin-ctls: 0x40: OUT
>   Unsolicited: tag=04, enabled=1
>   Power states:  D0 D3
>   Power: setting=D0, actual=D0
>   Connection: 2
>      0x02* 0x03
> Node 0x05 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x09000094: OUT Detect HBR HDMI DP
>   Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
>     Conn = Digital, Color = Unknown
>     DefAssociation = 0x1, Sequence = 0x0
>   Pin-ctls: 0x40: OUT
>   Unsolicited: tag=05, enabled=1
>   Power states:  D0 D3
>   Power: setting=D0, actual=D0
>   Connection: 2
>      0x02* 0x03
> Node 0x06 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x09000094: OUT Detect HBR HDMI DP
>   Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
>     Conn = Digital, Color = Unknown
>     DefAssociation = 0x1, Sequence = 0x0
>   Pin-ctls: 0x40: OUT
>   Unsolicited: tag=06, enabled=1
>   Power states:  D0 D3
>   Power: setting=D0, actual=D0
>   Connection: 2
>      0x02* 0x03
> Node 0x07 [Vendor Defined Widget] wcaps 0xf00000: Mono
> --endcollapse--
> 
> [5 alsa-info_3.2.4.txt <text/plain; US-ASCII (base64)>]
> !!################################
> !!ALSA Information Script v 0.4.60
> !!################################
> 
> !!Script ran on: Thu Feb 16 05:29:09 UTC 2012
> 
> 
> !!Linux Distribution
> !!------------------
> 
> Debian GNU/Linux wheezy/sid \n \l
> 
> 
> !!DMI Information
> !!---------------
> 
> Manufacturer:      To be filled by O.E.M.
> Product Name:      To be filled by O.E.M.
> Product Version:   AC5G3N-S8_F6
> 
> 
> !!Kernel Information
> !!------------------
> 
> Kernel release:    3.2.0-1-amd64
> Operating System:  GNU/Linux
> Architecture:      x86_64
> Processor:         unknown
> SMP Enabled:       Yes
> 
> 
> !!ALSA Version
> !!------------
> 
> Driver version:     1.0.24
> Library version:    1.0.24.1
> Utilities version:  1.0.24.2
> 
> 
> !!Loaded ALSA modules
> !!-------------------
> 
> snd_hda_intel
> 
> 
> !!Sound Servers on this system
> !!----------------------------
> 
> Pulseaudio:
>       Installed - Yes (/usr/bin/pulseaudio)
>       Running - Yes
> 
> ESound Daemon:
>       Installed - Yes (/usr/bin/esd)
>       Running - No
> 
> 
> !!Soundcards recognised by ALSA
> !!-----------------------------
> 
>  0 [Intel          ]: HDA-Intel - HDA Intel
>                       HDA Intel at 0xfe500000 irq 46
> 
> 
> !!PCI Soundcards installed in the system
> !!--------------------------------------
> 
> 00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset
> High Definition Audio (rev 06)
> 
> 
> !!Advanced information - PCI Vendor/Device/Subsystem ID's
> !!--------------------------------------------------------
> 
> 00:1b.0 0403: 8086:3b56 (rev 06)
> 	Subsystem: 1458:a950
> 
> 
> !!Modprobe options (Sound related)
> !!--------------------------------
> 
> snd-atiixp-modem: index=-2
> snd-intel8x0m: index=-2
> snd-via82xx-modem: index=-2
> snd-pcsp: index=-2
> snd-usb-audio: index=-2
> 
> 
> !!Loaded sound module options
> !!--------------------------
> 
> !!Module: snd_hda_intel
> 	align_buffer_size : Y
> 	bdl_pos_adj : 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
> 	beep_mode : 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
> 	enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
> 	enable_msi : -1
> 	id : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
> 	index : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
> 	model : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
> 	patch : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
> 	position_fix : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
> 	power_save : 0
> 	power_save_controller : Y
> 	probe_mask : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
> 	probe_only : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
> 	single_cmd : N
> 	snoop : Y
> 
> 
> !!HDA-Intel Codec information
> !!---------------------------
> --startcollapse--
> 
> Codec: Realtek ALC269VB
> Address: 0
> AFG Function Id: 0x1 (unsol 1)
> Vendor Id: 0x10ec0269
> Subsystem Id: 0x1458a950
> Revision Id: 0x100100
> No Modem Function Group found
> Default PCM:
>     rates [0x560]: 44100 48000 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
> Default Amp-In caps: N/A
> Default Amp-Out caps: N/A
> GPIO: io=2, o=0, i=0, unsolicited=1, wake=0
>   IO[0]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
>   IO[1]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
> Node 0x02 [Audio Output] wcaps 0x1d: Stereo Amp-Out
>   Control: name="PCM Playback Volume", index=0, device=0
>     ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>   Device: name="ALC269VB Analog", type="Audio", device=0
>   Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
>   Amp-Out vals:  [0x50 0x50]
>   Converter: stream=8, channel=0
>   PCM:
>     rates [0x560]: 44100 48000 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
> Node 0x03 [Audio Output] wcaps 0x1d: Stereo Amp-Out
>   Control: name="Headphone Playback Volume", index=0, device=0
>     ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>   Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
>   Amp-Out vals:  [0x50 0x50]
>   Converter: stream=8, channel=0
>   PCM:
>     rates [0x560]: 44100 48000 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
> Node 0x04 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x05 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x06 [Audio Output] wcaps 0x211: Stereo Digital
>   Converter: stream=0, channel=0
>   Digital:
>   Digital category: 0x0
>   PCM:
>     rates [0x5e0]: 44100 48000 88200 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
> Node 0x07 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x08 [Audio Input] wcaps 0x10011b: Stereo Amp-In
>   Amp-In caps: ofs=0x0b, nsteps=0x1f, stepsize=0x05, mute=1
>   Amp-In vals:  [0x8b 0x8b]
>   Converter: stream=0, channel=0
>   SDI-Select: 0
>   PCM:
>     rates [0x560]: 44100 48000 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
>   Connection: 1
>      0x23
> Node 0x09 [Audio Input] wcaps 0x10011b: Stereo Amp-In
>   Control: name="Capture Switch", index=0, device=0
>   Control: name="Capture Volume", index=0, device=0
>   Device: name="ALC269VB Analog", type="Audio", device=0
>   Amp-In caps: ofs=0x0b, nsteps=0x1f, stepsize=0x05, mute=1
>   Amp-In vals:  [0x8f 0x8f]
>   Converter: stream=4, channel=0
>   SDI-Select: 0
>   PCM:
>     rates [0x560]: 44100 48000 96000 192000
>     bits [0xe]: 16 20 24
>     formats [0x1]: PCM
>   Connection: 1
>      0x22
> Node 0x0a [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x0b [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
>   Control: name="Rear Mic Playback Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=0, ofs=0
>   Control: name="Rear Mic Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=0, ofs=0
>   Control: name="Front Mic Playback Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=1, ofs=0
>   Control: name="Front Mic Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=1, ofs=0
>   Control: name="Beep Playback Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=4, ofs=0
>   Control: name="Beep Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=4, ofs=0
>   Amp-In caps: ofs=0x17, nsteps=0x1f, stepsize=0x05, mute=1
>   Amp-In vals:  [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x97 0x97]
>   Connection: 5
>      0x18 0x19 0x1a 0x1b 0x1d
> Node 0x0c [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
>   Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-In vals:  [0x00 0x00] [0x00 0x00]
>   Connection: 2
>      0x02 0x0b
> Node 0x0d [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
>   Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-In vals:  [0x00 0x00] [0x00 0x00]
>   Connection: 2
>      0x03 0x0b
> Node 0x0e [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x0f [Audio Mixer] wcaps 0x20010a: Mono Amp-In
>   Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-In vals:  [0x00] [0x80]
>   Connection: 2
>      0x02 0x0b
> Node 0x10 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x11 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x12 [Pin Complex] wcaps 0x40000b: Stereo Amp-In
>   Control: name="Internal Mic Boost Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=0, ofs=0
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
>   Amp-In vals:  [0x03 0x03]
>   Pincap 0x00000020: IN
>   Pin Default 0x99a30940: [Fixed] Mic at Int ATAPI
>     Conn = ATAPI, Color = Unknown
>     DefAssociation = 0x4, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x20: IN
> Node 0x13 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x14 [Pin Complex] wcaps 0x40018d: Stereo Amp-Out
>   Control: name="Speaker Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x00010014: OUT EAPD Detect
>   EAPD 0x2: EAPD
>   Pin Default 0x99130110: [Fixed] Speaker at Int ATAPI
>     Conn = ATAPI, Color = Unknown
>     DefAssociation = 0x1, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x40: OUT
>   Unsolicited: tag=00, enabled=0
>   Connection: 2
>      0x0c* 0x0d
> Node 0x15 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x16 [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x17 [Pin Complex] wcaps 0x40010c: Mono Amp-Out
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x80]
>   Pincap 0x00000010: OUT
>   Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
>     Conn = 1/8, Color = Black
>     DefAssociation = 0xf, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x00:
>   Connection: 1
>      0x0f
> Node 0x18 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
>   Control: name="Rear Mic Boost Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=0, ofs=0
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
>   Amp-In vals:  [0x02 0x02]
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x80 0x80]
>   Pincap 0x00001734: IN OUT Detect
>     Vref caps: HIZ 50 GRD 80
>   Pin Default 0x01a11830: [Jack] Mic at Ext Rear
>     Conn = 1/8, Color = Black
>     DefAssociation = 0x3, Sequence = 0x0
>   Pin-ctls: 0x24: IN VREF_80
>   Unsolicited: tag=00, enabled=0
>   Connection: 1
>      0x0d
> Node 0x19 [Pin Complex] wcaps 0x40008b: Stereo Amp-In
>   Control: name="Front Mic Boost Volume", index=0, device=0
>     ControlAmp: chs=3, dir=In, idx=0, ofs=0
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
>   Amp-In vals:  [0x00 0x00]
>   Pincap 0x00001724: IN Detect
>     Vref caps: HIZ 50 GRD 80
>   Pin Default 0x02a1183f: [Jack] Mic at Ext Front
>     Conn = 1/8, Color = Black
>     DefAssociation = 0x3, Sequence = 0xf
>   Pin-ctls: 0x24: IN VREF_80
>   Unsolicited: tag=00, enabled=0
> Node 0x1a [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
>   Control: name="PCM Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
>   Amp-In vals:  [0x00 0x00]
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x0000003c: IN OUT HP Detect
>   Pin Default 0x02211020: [Jack] HP Out at Ext Front
>     Conn = 1/8, Color = Black
>     DefAssociation = 0x2, Sequence = 0x0
>   Pin-ctls: 0x40: OUT
>   Unsolicited: tag=01, enabled=1
>   Connection: 2
>      0x0c* 0x0d
> Node 0x1b [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
>   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
>   Amp-In vals:  [0x00 0x00]
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x80 0x80]
>   Pincap 0x00000034: IN OUT Detect
>   Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
>     Conn = 1/8, Color = Black
>     DefAssociation = 0xf, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x20: IN
>   Unsolicited: tag=00, enabled=0
>   Connection: 2
>      0x0c* 0x0d
> Node 0x1c [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x1d [Pin Complex] wcaps 0x400000: Mono
>   Pincap 0x00000020: IN
>   Pin Default 0x598301f0: [N/A] Line In at Int ATAPI
>     Conn = ATAPI, Color = Unknown
>     DefAssociation = 0xf, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x20: IN
> Node 0x1e [Pin Complex] wcaps 0x400381: Stereo Digital
>   Pincap 0x00000014: OUT Detect
>   Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
>     Conn = 1/8, Color = Black
>     DefAssociation = 0xf, Sequence = 0x0
>     Misc = NO_PRESENCE
>   Pin-ctls: 0x40: OUT
>   Unsolicited: tag=00, enabled=0
>   Connection: 1
>      0x06
> Node 0x1f [Vendor Defined Widget] wcaps 0xf00000: Mono
> Node 0x20 [Vendor Defined Widget] wcaps 0xf00040: Mono
>   Processing caps: benign=0, ncoeff=25
> Node 0x21 [Pin Complex] wcaps 0x40018d: Stereo Amp-Out
>   Control: name="Headphone Playback Switch", index=0, device=0
>     ControlAmp: chs=3, dir=Out, idx=0, ofs=0
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x0000001c: OUT HP Detect
>   Pin Default 0x0121101f: [Jack] HP Out at Ext Rear
>     Conn = 1/8, Color = Black
>     DefAssociation = 0x1, Sequence = 0xf
>   Pin-ctls: 0xc0: OUT HP
>   Unsolicited: tag=04, enabled=1
>   Connection: 2
>      0x0c 0x0d*
> Node 0x22 [Audio Selector] wcaps 0x30010b: Stereo Amp-In
>   Control: name="Input Source", index=0, device=0
>   Amp-In caps: N/A
>   Amp-In vals:  [0x00 0x00] [0x00 0x00] [0x00 0x00] [0x00 0x00] [0x00
> 0x00] [0x00 0x00] [0x00 0x00]
>   Connection: 7
>      0x18* 0x19 0x1a 0x1b 0x1d 0x0b 0x12
> Node 0x23 [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
>   Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-In vals:  [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80
> 0x80] [0x80 0x80]
>   Connection: 6
>      0x18 0x19 0x1a 0x1b 0x1d 0x0b
> Codec: Intel IbexPeak HDMI
> Address: 3
> AFG Function Id: 0x1 (unsol 0)
> Vendor Id: 0x80862804
> Subsystem Id: 0x80860101
> Revision Id: 0x100000
> No Modem Function Group found
> Default PCM:
>     rates [0x0]:
>     bits [0x0]:
>     formats [0x0]:
> Default Amp-In caps: N/A
> Default Amp-Out caps: N/A
> GPIO: io=0, o=0, i=0, unsolicited=0, wake=0
> Node 0x02 [Audio Output] wcaps 0x6611: 8-Channels Digital
>   Converter: stream=0, channel=0
>   Digital: Enabled GenLevel
>   Digital category: 0x2
>   PCM:
>     rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
>     bits [0x1e]: 16 20 24 32
>     formats [0x5]: PCM AC3
>   Power states:  D0 D3
>   Power: setting=D0, actual=D0
> Node 0x03 [Audio Output] wcaps 0x6611: 8-Channels Digital
>   Converter: stream=0, channel=0
>   Digital: Enabled
>   Digital category: 0x0
>   PCM:
>     rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
>     bits [0x1e]: 16 20 24 32
>     formats [0x5]: PCM AC3
>   Power states:  D0 D3
>   Power: setting=D0, actual=D0
> Node 0x04 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
>   Control: name="IEC958 Playback Con Mask", index=0, device=0
>   Control: name="IEC958 Playback Pro Mask", index=0, device=0
>   Control: name="IEC958 Playback Default", index=0, device=0
>   Control: name="IEC958 Playback Switch", index=0, device=0
>   Control: name="ELD", index=0, device=3
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x09000094: OUT Detect HBR HDMI DP
>   Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
>     Conn = Digital, Color = Unknown
>     DefAssociation = 0x1, Sequence = 0x0
>   Pin-ctls: 0x00:
>   Unsolicited: tag=04, enabled=1
>   Power states:  D0 D3
>   Power: setting=D0, actual=D0
>   Connection: 2
>      0x02* 0x03
> Node 0x05 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
>   Control: name="IEC958 Playback Con Mask", index=1, device=0
>   Control: name="IEC958 Playback Pro Mask", index=1, device=0
>   Control: name="IEC958 Playback Default", index=1, device=0
>   Control: name="IEC958 Playback Switch", index=1, device=0
>   Control: name="ELD", index=0, device=7
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x09000094: OUT Detect HBR HDMI DP
>   Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
>     Conn = Digital, Color = Unknown
>     DefAssociation = 0x1, Sequence = 0x0
>   Pin-ctls: 0x00:
>   Unsolicited: tag=05, enabled=1
>   Power states:  D0 D3
>   Power: setting=D0, actual=D0
>   Connection: 2
>      0x02* 0x03
> Node 0x06 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
>   Control: name="IEC958 Playback Con Mask", index=2, device=0
>   Control: name="IEC958 Playback Pro Mask", index=2, device=0
>   Control: name="IEC958 Playback Default", index=2, device=0
>   Control: name="IEC958 Playback Switch", index=2, device=0
>   Control: name="ELD", index=0, device=8
>   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
>   Amp-Out vals:  [0x00 0x00]
>   Pincap 0x09000094: OUT Detect HBR HDMI DP
>   Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
>     Conn = Digital, Color = Unknown
>     DefAssociation = 0x1, Sequence = 0x0
>   Pin-ctls: 0x00:
>   Unsolicited: tag=06, enabled=1
>   Power states:  D0 D3
>   Power: setting=D0, actual=D0
>   Connection: 2
>      0x02* 0x03
> Node 0x07 [Vendor Defined Widget] wcaps 0xf00000: Mono
> --endcollapse--
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Wed, 22 Feb 2012 16:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Warren <swarren@nvidia.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Feb 2012 16:54:05 GMT) Full text and rfc822 format available.

Message #88 received at 660111@bugs.debian.org (full text, mbox):

From: Stephen Warren <swarren@nvidia.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>, "David Henningsson (david.henningsson@canonical.com)" <david.henningsson@canonical.com>
Cc: "tiwai@suse.de" <tiwai@suse.de>, "alsa-devel@alsa-project.org" <alsa-devel@alsa-project.org>, Jonathan Nieder <jrnieder@gmail.com>, "660111@bugs.debian.org" <660111@bugs.debian.org>
Subject: RE: multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Wed, 22 Feb 2012 08:45:44 -0800
Andres Cimmarusti wrote at Tuesday, February 21, 2012 11:44 PM:
...
> Unfortunately with kernel 3.2.x and 3.1.x I get no sound out choosing the same
> configuration in pulseaudio. Device is advertised correctly but
> there's a bizarre multiplicity advertised:
> 
> $ aplay -l
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> card 0: Intel [HDA Intel], device 3: HDMI 0 [HDMI 0]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> card 0: Intel [HDA Intel], device 7: HDMI 1 [HDMI 1]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> card 0: Intel [HDA Intel], device 8: HDMI 2 [HDMI 2]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> 
> Using aplay with device 3 says device is busy.

pulseaudio probably has that device open, hence aplay can't open it
again. To validate this, run the following:

pasuspender bash

Then, run your aplay within that bash. At least aplay should run now,
even if you still can't hear audio; it's possible you don't (or can't)
have anything hooked up to that audio output

> Device 7 works
> correctly (but is not available in pulseaudio unless forced by
> default, which then renders internal speakers disabled)

There are ways to configure pulseaudio to allow the user to select which
PCM device to use on a given sound card. David Henningsson made this work
for NVIDIA GPUs at least in Ubuntu, and I imagine the same technique
could be applied to Intel devices too.

In the meantime, the WAR that Takashi mentioned in his response sounds
like it'd work very well, albeit it's a bit manual to set up.

> and device 8 produces no sound out.

It's plausible that isn't connected, or is connected to a graphics port
you simply don't have hooked up to a monitor or audio-capable monitor.

As Takashi mentions, from a kernel perspective, this isn't really a
regression at all, but simply exposing all the features of the HW that
were previously hidden. Without that change, others can't use some HW
usefully at all. Unfortunately, pulseaudio makes some rather simplistic
assumptions about how HW works by default, and can be confused by the
additional features that are exposed.

Sorry this caused problems for you.

-- 
nvpublic


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Wed, 22 Feb 2012 21:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Feb 2012 21:54:07 GMT) Full text and rfc822 format available.

Message #93 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stephen Warren <swarren@nvidia.com>
Cc: Andres Cimmarusti <acimmarusti@gmail.com>, "David Henningsson (david.henningsson@canonical.com)" <david.henningsson@canonical.com>, "tiwai@suse.de" <tiwai@suse.de>, "alsa-devel@alsa-project.org" <alsa-devel@alsa-project.org>, "660111@bugs.debian.org" <660111@bugs.debian.org>
Subject: Re: multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Wed, 22 Feb 2012 15:52:06 -0600
Stephen Warren wrote:

> As Takashi mentions, from a kernel perspective, this isn't really a
> regression at all, but simply exposing all the features of the HW that
> were previously hidden. Without that change, others can't use some HW
> usefully at all. Unfortunately, pulseaudio makes some rather simplistic
> assumptions about how HW works by default, and can be confused by the
> additional features that are exposed.

From a distro perspective, it's a regression that happens to be
bundled with a feature.  Though from a distro perspective working
around this in pulseaudio and making sure even old releases get the
fix might be okay.

I thought that "no regressions" meant that the first sentence and not
the second sentence of the previous paragraph apply from a kernel
perspective.  No?  So I would be happiest if there is some way to
teach the kernel about this quirk until everyone already has had a
fixed pulseaudio for a year or two.

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Thu, 23 Feb 2012 00:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Feb 2012 00:03:08 GMT) Full text and rfc822 format available.

Message #98 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Stephen Warren <swarren@nvidia.com>, "David Henningsson (david.henningsson@canonical.com)" <david.henningsson@canonical.com>, "tiwai@suse.de" <tiwai@suse.de>, "alsa-devel@alsa-project.org" <alsa-devel@alsa-project.org>, "660111@bugs.debian.org" <660111@bugs.debian.org>
Subject: Re: multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Wed, 22 Feb 2012 19:01:54 -0500
First of all, thank you for your feedback. It's been quite helpful / insightful

> The biggest problem is that PA checks only the first HDMI device.
> In that sense, this is no regression in the kernel side, although I
> know it's annoying.

I agree this seems more like a shortcoming of pulseaudio. Else it's my
BIOS' fault, which doesn't surprise me, seeing at this notebook is
manufactured by some "unknown" OEM in Taiwan for other vendors and all
they care is if Windows runs ok on it. In fact, I currently have many
unsupported ACPI keys events because of it.

> If the new two pins can be never used, i.e. physically unreachable,
> we may disable these pins by giving the proper default pin-config
> values.  Usually it's a job of BIOS.  But if BIOS doesn't do it, user
> need to do it manually.
>
> Build your kernel with CONFIG_SND_HDA_HWDEP=y,
> CONFIG_SND_HDA_RECONFIG=y, CONFIG_SND_HDA_PATCH_LOADER=y.
> I guess most of distro kernels are built with them.
> Then create a file containing below in /lib/firmware, such as,
> /lib/firmware/ibx-hdmi:
>
> ================================================================
> [codec]
> 0x80862804 0x80860101 3
> [pincfg]
> 0x04 0x411111f0
> 0x06 0x411111f0
> ================================================================
>
> Now pass this file to "patch" module option for snd-hda-intel.
> For example, create a file in /etc/modprobe.d/,
> e.g. /etc/modprobe.d/50-hdmi.conf, containing the line
>
> options snd-hda-intel patch="ibx-hdmi"
>
> Then reload the driver or reboot.  This will disable pins 0x04 and
> 0x06 so that only the pin 0x05 will be used.

I've tested this workaround and it works well. I don't suppose this
could be added as a quirk to the kernel for this particular device?
(when and only if there's only one physically accessible HDMI
connector).

> There are ways to configure pulseaudio to allow the user to select which
> PCM device to use on a given sound card. David Henningsson made this work
> for NVIDIA GPUs at least in Ubuntu, and I imagine the same technique
> could be applied to Intel devices too.

Mmm.. just in Ubuntu? was this work submitted upstream? It appears
there are some related fixes shown in the Ubuntu pulseaudio changelog:

http://changelogs.ubuntu.com/changelogs/pool/main/p/pulseaudio/pulseaudio_1.1-0ubuntu9/changelog

I found a thread related to this issue here:
http://www.mail-archive.com/pulseaudio-discuss@mail.0pointer.de/msg07433.html
Started by yourself Stephen Warren! but it doesn't seem like it got anywhere...

> As Takashi mentions, from a kernel perspective, this isn't really a
> regression at all, but simply exposing all the features of the HW that
> were previously hidden. Without that change, others can't use some HW
> usefully at all. Unfortunately, pulseaudio makes some rather simplistic
> assumptions about how HW works by default, and can be confused by the
> additional features that are exposed.

Agreed. But in the case of laptops, I don't think I've ever seen one
that actually has more than one physical connector. I'm a little
puzzled as to how all these outputs (in my case 3) make sense for my
hardware...

> I thought that "no regressions" meant that the first sentence and not
> the second sentence of the previous paragraph apply from a kernel
> perspective.  No?  So I would be happiest if there is some way to
> teach the kernel about this quirk until everyone already has had a
> fixed pulseaudio for a year or two.

I agree fixing pulseaudio is ideal, but a kernel quirk can be
backported more easily from a distribution perspective.

Anyways, thank you for your support

Best Regards,

Andres




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Thu, 23 Feb 2012 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Warren <swarren@nvidia.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Feb 2012 00:42:03 GMT) Full text and rfc822 format available.

Message #103 received at 660111@bugs.debian.org (full text, mbox):

From: Stephen Warren <swarren@nvidia.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>, Jonathan Nieder <jrnieder@gmail.com>
Cc: "David Henningsson (david.henningsson@canonical.com)" <david.henningsson@canonical.com>, "tiwai@suse.de" <tiwai@suse.de>, "alsa-devel@alsa-project.org" <alsa-devel@alsa-project.org>, "660111@bugs.debian.org" <660111@bugs.debian.org>
Subject: RE: multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Wed, 22 Feb 2012 16:39:08 -0800
Andres Cimmarusti wrote at Wednesday, February 22, 2012 5:02 PM:
> First of all, thank you for your feedback. It's been quite helpful / insightful
...
> > There are ways to configure pulseaudio to allow the user to select which
> > PCM device to use on a given sound card. David Henningsson made this work
> > for NVIDIA GPUs at least in Ubuntu, and I imagine the same technique
> > could be applied to Intel devices too.
> 
> Mmm.. just in Ubuntu? was this work submitted upstream? It appears
> there are some related fixes shown in the Ubuntu pulseaudio changelog:

I think the following Ubuntu bug covers the patch:

https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/716371
See the patch in comment #2.

Hopefully David will chime in on upstreaming status etc.

The following might be interesting; at least some of it will apply to
non-NVIDIA graphics cards:

ftp://download.nvidia.com/XFree86/gpu-hdmi-audio-document/gpu-hdmi-audio.html

-- 
nvpublic


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Thu, 23 Feb 2012 06:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Henningsson <david.henningsson@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Feb 2012 06:51:04 GMT) Full text and rfc822 format available.

Message #108 received at 660111@bugs.debian.org (full text, mbox):

From: David Henningsson <david.henningsson@canonical.com>
To: Takashi Iwai <tiwai@suse.de>
Cc: Andres Cimmarusti <acimmarusti@gmail.com>, Jonathan Nieder <jrnieder@gmail.com>, alsa-devel@alsa-project.org, 660111@bugs.debian.org, swarren@nvidia.com
Subject: Re: [alsa-devel] multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Thu, 23 Feb 2012 07:46:37 +0100
On 02/22/2012 08:44 AM, Takashi Iwai wrote:
> At Wed, 22 Feb 2012 01:43:44 -0500,
> Andres Cimmarusti wrote:
>>
>> [1<text/plain; UTF-8 (7bit)>]
>> Dear Mr. Warren,
>>
>> I recently upgraded my laptop to Debian testing (from Debian stable +
>> the longterm stable 3.0.x kernel). The newer kernel 3.2.x came with a
>> regression that git bisect has traced down to one of your commits in
>> the early 3.1.x kernel development stage (git bisect output and git
>> bisect log attached).
>>
>> Under kernel 3.0.x HDMI sound works out-of-the-box as tested with
>> pulse audio (choosing the option Digital
>> Stereo (HDMI) Output) and by the command:
>>
>> $ aplay -D plughw:0,3 /usr/share/sounds/alsa/Front_Center.wav
>>
>> Alsa's device list reveals:
>>
>> $ aplay -l
>> **** List of PLAYBACK Hardware Devices ****
>> card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
>>    Subdevices: 0/1
>>    Subdevice #0: subdevice #0
>> card 0: Intel [HDA Intel], device 3: HDMI 0 [HDMI 0]
>>    Subdevices: 1/1
>>    Subdevice #0: subdevice #0
>>
>> Unfortunately with kernel 3.2.x and 3.1.x I get no sound out choosing the same
>> configuration in pulseaudio. Device is advertised correctly but
>> there's a bizarre multiplicity advertised:
>>
>> $ aplay -l
>> **** List of PLAYBACK Hardware Devices ****
>> card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
>>    Subdevices: 1/1
>>    Subdevice #0: subdevice #0
>> card 0: Intel [HDA Intel], device 3: HDMI 0 [HDMI 0]
>>    Subdevices: 1/1
>>    Subdevice #0: subdevice #0
>> card 0: Intel [HDA Intel], device 7: HDMI 1 [HDMI 1]
>>    Subdevices: 1/1
>>    Subdevice #0: subdevice #0
>> card 0: Intel [HDA Intel], device 8: HDMI 2 [HDMI 2]
>>    Subdevices: 1/1
>>    Subdevice #0: subdevice #0
>>
>> Using aplay with device 3 says device is busy. Device 7 works
>> correctly (but is not available in pulseaudio unless forced by
>> default, which then renders internal speakers disabled) and device 8
>> produces no sound out.
>>
>> This appears to be a regression in the kernel about this device,
>> advertising non-physically connected HDMI sound devices that cause
>> pulse audio to get
>> confused (Pulseaudio only seems to be able to handle one HDMI output
>> by default device 0,3).
>
> The biggest problem is that PA checks only the first HDMI device.
> In that sense, this is no regression in the kernel side, although I
> know it's annoying.

There is active work going on in this area. In fact, I just posted a 
patch to the PA mailinglist [1]. And yes, we already have it in Ubuntu 
11.10 (to probe multiple hdmi devices for Intel and NVidia), and the 
main reason it took until now to upstream that patch, was the decision 
to switch jack detection method from input devices to kcontrols.

> If the new two pins can be never used, i.e. physically unreachable,
> we may disable these pins by giving the proper default pin-config
> values.  Usually it's a job of BIOS.  But if BIOS doesn't do it, user
> need to do it manually.
>
> Build your kernel with CONFIG_SND_HDA_HWDEP=y,
> CONFIG_SND_HDA_RECONFIG=y, CONFIG_SND_HDA_PATCH_LOADER=y.
> I guess most of distro kernels are built with them.
> Then create a file containing below in /lib/firmware, such as,
> /lib/firmware/ibx-hdmi:
>
> ================================================================
> [codec]
> 0x80862804 0x80860101 3
> [pincfg]
> 0x04 0x411111f0
> 0x06 0x411111f0
> ================================================================
>
> Now pass this file to "patch" module option for snd-hda-intel.
> For example, create a file in /etc/modprobe.d/,
> e.g. /etc/modprobe.d/50-hdmi.conf, containing the line
>
> options snd-hda-intel patch="ibx-hdmi"
>
> Then reload the driver or reboot.  This will disable pins 0x04 and
> 0x06 so that only the pin 0x05 will be used.

Let me also push for the hda-jack-retask [2] application, which is an 
easy-to-use GUI for creating these types of firmware files. I advertised 
it here a while ago [3] but it seems to have gone unnoticed.

-- 
David Henningsson, Canonical Ltd.
http://launchpad.net/~diwic

[1] 
http://lists.freedesktop.org/archives/pulseaudio-discuss/2012-February/012872.html

[2] 
http://voices.canonical.com/david.henningsson/2011/11/29/turn-your-mic-jack-into-a-headphone-jack/

[3] 
http://mailman.alsa-project.org/pipermail/alsa-devel/2011-December/046778.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Thu, 23 Feb 2012 08:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Henningsson <david.henningsson@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Feb 2012 08:33:10 GMT) Full text and rfc822 format available.

Message #113 received at 660111@bugs.debian.org (full text, mbox):

From: David Henningsson <david.henningsson@canonical.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: Jonathan Nieder <jrnieder@gmail.com>, Stephen Warren <swarren@nvidia.com>, "tiwai@suse.de" <tiwai@suse.de>, "alsa-devel@alsa-project.org" <alsa-devel@alsa-project.org>, "660111@bugs.debian.org" <660111@bugs.debian.org>
Subject: Re: multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Thu, 23 Feb 2012 09:30:44 +0100
On 02/23/2012 01:01 AM, Andres Cimmarusti wrote:
>> If the new two pins can be never used, i.e. physically unreachable,
>> we may disable these pins by giving the proper default pin-config
>> values.  Usually it's a job of BIOS.  But if BIOS doesn't do it, user
>> need to do it manually.
>>
>> Build your kernel with CONFIG_SND_HDA_HWDEP=y,
>> CONFIG_SND_HDA_RECONFIG=y, CONFIG_SND_HDA_PATCH_LOADER=y.
>> I guess most of distro kernels are built with them.
>> Then create a file containing below in /lib/firmware, such as,
>> /lib/firmware/ibx-hdmi:
>>
>> ================================================================
>> [codec]
>> 0x80862804 0x80860101 3
>> [pincfg]
>> 0x04 0x411111f0
>> 0x06 0x411111f0
>> ================================================================
>>
>> Now pass this file to "patch" module option for snd-hda-intel.
>> For example, create a file in /etc/modprobe.d/,
>> e.g. /etc/modprobe.d/50-hdmi.conf, containing the line
>>
>> options snd-hda-intel patch="ibx-hdmi"
>>
>> Then reload the driver or reboot.  This will disable pins 0x04 and
>> 0x06 so that only the pin 0x05 will be used.
>
> I've tested this workaround and it works well. I don't suppose this
> could be added as a quirk to the kernel for this particular device?
> (when and only if there's only one physically accessible HDMI
> connector).

Stephen, could you comment on this? Are we guaranteed a certain board 
configuration (i e which pins are physically connected or not) given a 
PCI SSID, or anything else that can be used as a key to a quirk table? I 
think I've asked you before and that the answer was "no", but my memory 
could be failing me.

>> There are ways to configure pulseaudio to allow the user to select which
>> PCM device to use on a given sound card. David Henningsson made this work
>> for NVIDIA GPUs at least in Ubuntu, and I imagine the same technique
>> could be applied to Intel devices too.
>
> Mmm.. just in Ubuntu? was this work submitted upstream? It appears
> there are some related fixes shown in the Ubuntu pulseaudio changelog:
>
> http://changelogs.ubuntu.com/changelogs/pool/main/p/pulseaudio/pulseaudio_1.1-0ubuntu9/changelog
>
> I found a thread related to this issue here:
> http://www.mail-archive.com/pulseaudio-discuss@mail.0pointer.de/msg07433.html
> Started by yourself Stephen Warren! but it doesn't seem like it got anywhere...
>
>> As Takashi mentions, from a kernel perspective, this isn't really a
>> regression at all, but simply exposing all the features of the HW that
>> were previously hidden. Without that change, others can't use some HW
>> usefully at all. Unfortunately, pulseaudio makes some rather simplistic
>> assumptions about how HW works by default, and can be confused by the
>> additional features that are exposed.
>
> Agreed. But in the case of laptops, I don't think I've ever seen one
> that actually has more than one physical connector. I'm a little
> puzzled as to how all these outputs (in my case 3) make sense for my
> hardware...

Even if there is only one HDMI output, it's it not that uncommon, 
actually. Many DVI outputs can output HDMI audio as well (when connected 
through an HDMI monitor through DVI->HDMI adapter), and DisplayPort also 
has audio support.

-- 
David Henningsson, Canonical Ltd.
http://launchpad.net/~diwic




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Thu, 23 Feb 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Warren <swarren@nvidia.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Feb 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #118 received at 660111@bugs.debian.org (full text, mbox):

From: Stephen Warren <swarren@nvidia.com>
To: David Henningsson <david.henningsson@canonical.com>, Andres Cimmarusti <acimmarusti@gmail.com>
Cc: Jonathan Nieder <jrnieder@gmail.com>, "tiwai@suse.de" <tiwai@suse.de>, "alsa-devel@alsa-project.org" <alsa-devel@alsa-project.org>, "660111@bugs.debian.org" <660111@bugs.debian.org>
Subject: RE: multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Thu, 23 Feb 2012 08:17:55 -0800
David Henningsson wrote at Thursday, February 23, 2012 1:31 AM:
> On 02/23/2012 01:01 AM, Andres Cimmarusti wrote:
> >> If the new two pins can be never used, i.e. physically unreachable,
> >> we may disable these pins by giving the proper default pin-config
> >> values.  Usually it's a job of BIOS.  But if BIOS doesn't do it, user
> >> need to do it manually.
> >>
> >> Build your kernel with CONFIG_SND_HDA_HWDEP=y,
> >> CONFIG_SND_HDA_RECONFIG=y, CONFIG_SND_HDA_PATCH_LOADER=y.
> >> I guess most of distro kernels are built with them.
> >> Then create a file containing below in /lib/firmware, such as,
> >> /lib/firmware/ibx-hdmi:
> >>
> >> ================================================================
> >> [codec]
> >> 0x80862804 0x80860101 3
> >> [pincfg]
> >> 0x04 0x411111f0
> >> 0x06 0x411111f0
> >> ================================================================
> >>
> >> Now pass this file to "patch" module option for snd-hda-intel.
> >> For example, create a file in /etc/modprobe.d/,
> >> e.g. /etc/modprobe.d/50-hdmi.conf, containing the line
> >>
> >> options snd-hda-intel patch="ibx-hdmi"
> >>
> >> Then reload the driver or reboot.  This will disable pins 0x04 and
> >> 0x06 so that only the pin 0x05 will be used.
> >
> > I've tested this workaround and it works well. I don't suppose this
> > could be added as a quirk to the kernel for this particular device?
> > (when and only if there's only one physically accessible HDMI
> > connector).
> 
> Stephen, could you comment on this? Are we guaranteed a certain board
> configuration (i e which pins are physically connected or not) given a
> PCI SSID, or anything else that can be used as a key to a quirk table? I
> think I've asked you before and that the answer was "no", but my memory
> could be failing me.

Any quirks would definitely have to include the PCI subsystem vendor ID
and subsystem device ID to stand any chance of working; the main dev and
vendor IDs certainly aren't enough.

For NVIDIA GPUs, my expectation is that matching on all 4 IDs would often
provide a unique key that determines which quirks to apply. However, the
subsystem IDs are assigned by OEMs, and I have no idea whether they re-
use the same IDs for different boards sometimes (I believe they shouldn't,
but that doesn't necessarily mean anything). I assume the situation is
identical for Intel graphics chips, but I can't really comment there at
all!

In summary: Our GPUs have a bunch of output port pins, and it's up to the
individual board design which of those to use for which ports. There
should be a 1:1 mapping between the 4-part PCI ID and the set of ports
used and what for, but there's no way to guarantee that's true across all
boards.

Finally, if we did start quirking this, a complete table would end up
being potentially enormous; an entry for every graphics board or mother-
board with integrated graphics ever made...

-- 
nvpublic


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sat, 03 Mar 2012 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 03 Mar 2012 23:39:03 GMT) Full text and rfc822 format available.

Message #123 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: David Henningsson <david.henningsson@canonical.com>
Cc: Takashi Iwai <tiwai@suse.de>, Jonathan Nieder <jrnieder@gmail.com>, alsa-devel@alsa-project.org, 660111@bugs.debian.org, swarren@nvidia.com
Subject: Re: [alsa-devel] multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Sat, 3 Mar 2012 18:36:57 -0500
> There is active work going on in this area. In fact, I just posted a patch
> to the PA mailinglist [1]. And yes, we already have it in Ubuntu 11.10 (to
> probe multiple hdmi devices for Intel and NVidia), and the main reason it
> took until now to upstream that patch, was the decision to switch jack
> detection method from input devices to kcontrols.

Thank you for all the references you provided and your work in fixing
this issue for all users. I just looked at the git repository for the
source code of pulseaudio, but I see your patches have not been
included yet. Do you have any estimate of when they will be merged? if
so, do you think they'll be included in the next release (do you know
when this will be?) ?

I'm considering reassigning this bug to pulseaudio in debian and
asking them to include the appropriate patches. Which ones would
actually be needed (say, to apply them to pulseaudio 1.1)? would your
6 patches announced on the mailing list in February be enough?

>> If the new two pins can be never used, i.e. physically unreachable,
>> we may disable these pins by giving the proper default pin-config
>> values.  Usually it's a job of BIOS.  But if BIOS doesn't do it, user
>> need to do it manually.
>>
>> Build your kernel with CONFIG_SND_HDA_HWDEP=y,
>> CONFIG_SND_HDA_RECONFIG=y, CONFIG_SND_HDA_PATCH_LOADER=y.
>> I guess most of distro kernels are built with them.
>> Then create a file containing below in /lib/firmware, such as,
>> /lib/firmware/ibx-hdmi:
>>
>> ================================================================
>> [codec]
>> 0x80862804 0x80860101 3
>> [pincfg]
>> 0x04 0x411111f0
>> 0x06 0x411111f0
>> ================================================================
>>
>> Now pass this file to "patch" module option for snd-hda-intel.
>> For example, create a file in /etc/modprobe.d/,
>> e.g. /etc/modprobe.d/50-hdmi.conf, containing the line
>>
>> options snd-hda-intel patch="ibx-hdmi"
>>
>> Then reload the driver or reboot.  This will disable pins 0x04 and
>> 0x06 so that only the pin 0x05 will be used.
>
> Let me also push for the hda-jack-retask [2] application, which is an
> easy-to-use GUI for creating these types of firmware files. I advertised it
> here a while ago [3] but it seems to have gone unnoticed.

This sounds like a good tool for making this happen. I will submit a
Request For Package in Debian... but this can take time. Would you
consider packaging it there? then it would easily flow into Ubuntu.

I've encountered other hardware with the same issue recently. It's an
NVIDIA card HDA MCP89 on a Macbook Pro 7,1. Is there a method I can
follow for crafting my own "patches"? I'm afraid I don't understand
how to find the appropriate HEX values that need to go in the [codec]
and [pincfg] section.

Thanks all for your help.

Cheers,

Andres




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sun, 04 Mar 2012 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Henningsson <david.henningsson@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 04 Mar 2012 02:45:04 GMT) Full text and rfc822 format available.

Message #128 received at 660111@bugs.debian.org (full text, mbox):

From: David Henningsson <david.henningsson@canonical.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: Takashi Iwai <tiwai@suse.de>, Jonathan Nieder <jrnieder@gmail.com>, alsa-devel@alsa-project.org, 660111@bugs.debian.org, swarren@nvidia.com
Subject: Re: [alsa-devel] multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Sun, 04 Mar 2012 03:43:20 +0100
On 03/04/2012 12:36 AM, Andres Cimmarusti wrote:
>> There is active work going on in this area. In fact, I just posted a patch
>> to the PA mailinglist [1]. And yes, we already have it in Ubuntu 11.10 (to
>> probe multiple hdmi devices for Intel and NVidia), and the main reason it
>> took until now to upstream that patch, was the decision to switch jack
>> detection method from input devices to kcontrols.
>
> Thank you for all the references you provided and your work in fixing
> this issue for all users. I just looked at the git repository for the
> source code of pulseaudio, but I see your patches have not been
> included yet. Do you have any estimate of when they will be merged? if
> so, do you think they'll be included in the next release (do you know
> when this will be?) ?

I hope they'll be in PulseAudio 2.0, as they are currently waiting for 
review. For next release, see [2], but judging from the PulseAudio 1.0 
release process - no, I don't know when this will be ;-)

> I'm considering reassigning this bug to pulseaudio in debian and
> asking them to include the appropriate patches. Which ones would
> actually be needed (say, to apply them to pulseaudio 1.1)? would your
> 6 patches announced on the mailing list in February be enough?

If you want them to apply to PulseAudio 1.1, you can have a look at [1]. 
The patches currently posted apply to git head. You'll need all of the 
06* patches (as well as Linux 3.3 for the kcontrols).

A more light-weight version could be what I did in Ubuntu 11.04, where 
there was no jack detection, but I just exposed all four devices in 
PulseAudio and let the user choose manually, like this [4]. (I later 
renamed that file from "nvidia.conf" to "extra-hdmi.conf", and added the 
same file to be used for Intel chips.)

>> Let me also push for the hda-jack-retask [2] application, which is an
>> easy-to-use GUI for creating these types of firmware files. I advertised it
>> here a while ago [3] but it seems to have gone unnoticed.
>
> This sounds like a good tool for making this happen. I will submit a
> Request For Package in Debian... but this can take time. Would you
> consider packaging it there? then it would easily flow into Ubuntu.

Certainly, if there is interest from the Debian side to have it.

I would also not mind if it became a part of upstream ALSA, I think it 
would make a nice addition to the hda-analyzer, hda-verb etc tool set.

> I've encountered other hardware with the same issue recently. It's an
> NVIDIA card HDA MCP89 on a Macbook Pro 7,1. Is there a method I can
> follow for crafting my own "patches"? I'm afraid I don't understand
> how to find the appropriate HEX values that need to go in the [codec]
> and [pincfg] section.

I think the easiest way is just to download the hda-jack-retask 
application and build it yourself. Otherwise, [3].

> Thanks all for your help.

You're welcome.

-- 
David Henningsson, Canonical Ltd.
http://launchpad.net/~diwic

[1] 
http://bazaar.launchpad.net/~ubuntu-audio-dev/pulseaudio/ubuntu.precise/files/head:/debian/patches/

[2] http://pulseaudio.org/wiki/ReleasePlanning

[3] http://www.kernel.org/doc/Documentation/sound/alsa/HD-Audio.txt

[4] 
http://bazaar.launchpad.net/~ubuntu-audio-dev/pulseaudio/ubuntu.natty/view/head:/debian/patches/0001-alsa-mixer-Add-separate-profile-for-Nvidia.patch




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 05 Mar 2012 14:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 05 Mar 2012 14:42:04 GMT) Full text and rfc822 format available.

Message #133 received at 660111@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: David Henningsson <david.henningsson@canonical.com>
Cc: Andres Cimmarusti <acimmarusti@gmail.com>, Jonathan Nieder <jrnieder@gmail.com>, alsa-devel@alsa-project.org, 660111@bugs.debian.org, swarren@nvidia.com
Subject: Re: [alsa-devel] multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Mon, 05 Mar 2012 15:39:19 +0100
At Sun, 04 Mar 2012 03:43:20 +0100,
David Henningsson wrote:
> 
> >> Let me also push for the hda-jack-retask [2] application, which is an
> >> easy-to-use GUI for creating these types of firmware files. I advertised it
> >> here a while ago [3] but it seems to have gone unnoticed.
> >
> > This sounds like a good tool for making this happen. I will submit a
> > Request For Package in Debian... but this can take time. Would you
> > consider packaging it there? then it would easily flow into Ubuntu.
> 
> Certainly, if there is interest from the Debian side to have it.
> 
> I would also not mind if it became a part of upstream ALSA, I think it 
> would make a nice addition to the hda-analyzer, hda-verb etc tool set.

It could be indeed helpful to merge it to alsa-tools package.  Feel
free to submit the patches or a git pull request.

hda-analyzer is currently in alsa.git, not in alsa-tools.git, by some
reason.  I guess it'd be no big problem to move it to alsa-tools if
Jaroslav doesn't mind.

hda-verb can be certainly to be merged to alsa-tools.  I'll add it
later.

OTOH, hda-emu doesn't fit to alsa-tools.  It's a no program to be
provided in a pre-compiled form such as a distro package.


thanks,

Takashi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Fri, 16 Mar 2012 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 16 Mar 2012 15:06:06 GMT) Full text and rfc822 format available.

Message #138 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: "David Henningsson (david.henningsson@canonical.com)" <david.henningsson@canonical.com>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 660111@bugs.debian.org
Subject: Re: [alsa-devel] multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Fri, 16 Mar 2012 11:03:41 -0400
Hello again,

On Sat, Mar 3, 2012 at 9:43 PM, David Henningsson
<david.henningsson@canonical.com> wrote:
> On 03/04/2012 12:36 AM, Andres Cimmarusti wrote:
>>>
>>> There is active work going on in this area. In fact, I just posted a
>>> patch
>>> to the PA mailinglist [1]. And yes, we already have it in Ubuntu 11.10
>>> (to
>>> probe multiple hdmi devices for Intel and NVidia), and the main reason it
>>> took until now to upstream that patch, was the decision to switch jack
>>> detection method from input devices to kcontrols.
>>
>>
>> Thank you for all the references you provided and your work in fixing
>> this issue for all users. I just looked at the git repository for the
>> source code of pulseaudio, but I see your patches have not been
>> included yet. Do you have any estimate of when they will be merged? if
>> so, do you think they'll be included in the next release (do you know
>> when this will be?) ?
>
>
> I hope they'll be in PulseAudio 2.0, as they are currently waiting for
> review. For next release, see [2], but judging from the PulseAudio 1.0
> release process - no, I don't know when this will be ;-)
>
>
>> I'm considering reassigning this bug to pulseaudio in debian and
>> asking them to include the appropriate patches. Which ones would
>> actually be needed (say, to apply them to pulseaudio 1.1)? would your
>> 6 patches announced on the mailing list in February be enough?
>
>
> If you want them to apply to PulseAudio 1.1, you can have a look at [1]. The
> patches currently posted apply to git head. You'll need all of the 06*
> patches (as well as Linux 3.3 for the kcontrols).

It looks like your patches have been merged:
http://cgit.freedesktop.org/pulseaudio/pulseaudio/log/
(but correct me if I'm wrong). However, I think Debian has decided to
go with 3.2 kernel for the next stable release. This means no
kcontrols. How is this being handled in Ubuntu 12.04 LTS, since it
will also be based on kernel 3.2

> A more light-weight version could be what I did in Ubuntu 11.04, where there
> was no jack detection, but I just exposed all four devices in PulseAudio and
> let the user choose manually, like this [4]. (I later renamed that file from
> "nvidia.conf" to "extra-hdmi.conf", and added the same file to be used for
> Intel chips.)

Can this still be done in the scenario were Debian has pulseaudio 2.0
with your patches, but kernel 3.2?

Sorry for the basic questions. I just found out that the release of
pulseaudio 2.0 is imminent and I want to push for its adoption in
Debian, but with a fix for this HDMI issue.

Thanks a million

Andres




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Fri, 16 Mar 2012 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Henningsson <david.henningsson@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 16 Mar 2012 15:15:11 GMT) Full text and rfc822 format available.

Message #143 received at 660111@bugs.debian.org (full text, mbox):

From: David Henningsson <david.henningsson@canonical.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 660111@bugs.debian.org
Subject: Re: [alsa-devel] multiple, non-physically accesible, HDMI devices listed for Intel IbexPeak ALC269VB
Date: Fri, 16 Mar 2012 16:13:40 +0100
On 03/16/2012 04:03 PM, Andres Cimmarusti wrote:
> Hello again,
>
> On Sat, Mar 3, 2012 at 9:43 PM, David Henningsson
> <david.henningsson@canonical.com>  wrote:
>> On 03/04/2012 12:36 AM, Andres Cimmarusti wrote:
>>>>
>>>> There is active work going on in this area. In fact, I just posted a
>>>> patch
>>>> to the PA mailinglist [1]. And yes, we already have it in Ubuntu 11.10
>>>> (to
>>>> probe multiple hdmi devices for Intel and NVidia), and the main reason it
>>>> took until now to upstream that patch, was the decision to switch jack
>>>> detection method from input devices to kcontrols.
>>>
>>>
>>> Thank you for all the references you provided and your work in fixing
>>> this issue for all users. I just looked at the git repository for the
>>> source code of pulseaudio, but I see your patches have not been
>>> included yet. Do you have any estimate of when they will be merged? if
>>> so, do you think they'll be included in the next release (do you know
>>> when this will be?) ?
>>
>>
>> I hope they'll be in PulseAudio 2.0, as they are currently waiting for
>> review. For next release, see [2], but judging from the PulseAudio 1.0
>> release process - no, I don't know when this will be ;-)
>>
>>
>>> I'm considering reassigning this bug to pulseaudio in debian and
>>> asking them to include the appropriate patches. Which ones would
>>> actually be needed (say, to apply them to pulseaudio 1.1)? would your
>>> 6 patches announced on the mailing list in February be enough?
>>
>>
>> If you want them to apply to PulseAudio 1.1, you can have a look at [1]. The
>> patches currently posted apply to git head. You'll need all of the 06*
>> patches (as well as Linux 3.3 for the kcontrols).
>
> It looks like your patches have been merged:
> http://cgit.freedesktop.org/pulseaudio/pulseaudio/log/

That is correct.

> (but correct me if I'm wrong). However, I think Debian has decided to
> go with 3.2 kernel for the next stable release. This means no
> kcontrols. How is this being handled in Ubuntu 12.04 LTS, since it
> will also be based on kernel 3.2

For Ubuntu 12.04, I've backported the jack detection patches from 3.3 
and applied them to the Ubuntu 12.04 LTS kernel.

>> A more light-weight version could be what I did in Ubuntu 11.04, where there
>> was no jack detection, but I just exposed all four devices in PulseAudio and
>> let the user choose manually, like this [4]. (I later renamed that file from
>> "nvidia.conf" to "extra-hdmi.conf", and added the same file to be used for
>> Intel chips.)
>
> Can this still be done in the scenario were Debian has pulseaudio 2.0
> with your patches, but kernel 3.2?
>
> Sorry for the basic questions. I just found out that the release of
> pulseaudio 2.0 is imminentand I want to push for its adoption in
> Debian, but with a fix for this HDMI issue.

So, with PA 2.0 but without jack detection support in the kernel, you 
would essentially get three or four HDMI devices showing up in your GUI, 
and the user would have to try them all manually to check which one is 
the right one. So, better than changing PA configuration files, but not 
as elegant as with the jack detection (where the right one is selected 
automatically), of course.

-- 
David Henningsson, Canonical Ltd.
http://launchpad.net/~diwic




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Fri, 16 Mar 2012 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 16 Mar 2012 15:51:03 GMT) Full text and rfc822 format available.

Message #148 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: control@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, 660111@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: multiple, non-physically accesible, HDMI devices
Date: Fri, 16 Mar 2012 11:46:50 -0400
retitle 660111 multiple, non-physically accesible, HDMI devices
affects 660111 + pulseaudio
tags 660111 + fixed-upstream wheezy
thanks

>> (but correct me if I'm wrong). However, I think Debian has decided to
>> go with 3.2 kernel for the next stable release. This means no
>> kcontrols. How is this being handled in Ubuntu 12.04 LTS, since it
>> will also be based on kernel 3.2
>
>
> For Ubuntu 12.04, I've backported the jack detection patches from 3.3 and
> applied them to the Ubuntu 12.04 LTS kernel.
>>
>> Can this still be done in the scenario were Debian has pulseaudio 2.0
>> with your patches, but kernel 3.2?
>>
>> Sorry for the basic questions. I just found out that the release of
>> pulseaudio 2.0 is imminentand I want to push for its adoption in
>>
>> Debian, but with a fix for this HDMI issue.
>
>
> So, with PA 2.0 but without jack detection support in the kernel, you would
> essentially get three or four HDMI devices showing up in your GUI, and the
> user would have to try them all manually to check which one is the right
> one. So, better than changing PA configuration files, but not as elegant as
> with the jack detection (where the right one is selected automatically), of
> course.

I've marked this bug as affecting pulseaudio. In fact, it seems (to
me) sufficient to get version 2.0 of pulseaudio into Debian to solve
this bug.

With convenience and user-friendliness in mind, I feel that the jack
detection backport from kernel 3.3 to the Debian 3.2 kernel should be
done. Since Ubuntu already did it, perhaps this will be easy enough ?

Cheers

Andres




Changed Bug title to 'multiple, non-physically accesible, HDMI devices' from '[3.0 to 3.1 regression] HDMI 3 devices instead of 1' Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Fri, 16 Mar 2012 15:51:06 GMT) Full text and rfc822 format available.

Added indication that 660111 affects pulseaudio Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Fri, 16 Mar 2012 15:51:07 GMT) Full text and rfc822 format available.

Added tag(s) wheezy and fixed-upstream. Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Fri, 16 Mar 2012 15:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Fri, 16 Mar 2012 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 16 Mar 2012 16:51:03 GMT) Full text and rfc822 format available.

Message #159 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: multiple, non-physically accesible, HDMI devices
Date: Fri, 16 Mar 2012 11:46:39 -0500
tags 660111 + upstream
# letting version tracking do its work
tags 660111 - wheezy
quit

Hi Andres,

Andres Cimmarusti wrote:

> I've marked this bug as affecting pulseaudio. In fact, it seems (to
> me) sufficient to get version 2.0 of pulseaudio into Debian to solve
> this bug.
>
> With convenience and user-friendliness in mind, I feel that the jack
> detection backport from kernel 3.3 to the Debian 3.2 kernel should be
> done. Since Ubuntu already did it, perhaps this will be easy enough ?

Could you file a new report against pulseaudio summarizing the problem
and your suggested fix and mentioning <http://bugs.debian.org/660111>
for background?

Then we (or the kernel team) can separately pursue a jack detection
backport and figure out what to do on the kernel side, if anything, to
support upgrades cleanly.

Thanks,
Jonathan




Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 16 Mar 2012 16:51:05 GMT) Full text and rfc822 format available.

Removed tag(s) wheezy. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 16 Mar 2012 16:51:05 GMT) Full text and rfc822 format available.

Removed indication that 660111 affects pulseaudio Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Mon, 19 Mar 2012 15:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 19 Mar 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 19 Mar 2012 15:57:04 GMT) Full text and rfc822 format available.

Message #170 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 660111@bugs.debian.org
Subject: Re: multiple, non-physically accesible, HDMI devices
Date: Mon, 19 Mar 2012 11:55:25 -0400
> Could you file a new report against pulseaudio summarizing the problem
> and your suggested fix and mentioning <http://bugs.debian.org/660111>
> for background?

Done, see bug report: http://bugs.debian.org/664653




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 19 Mar 2012 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 19 Mar 2012 16:21:06 GMT) Full text and rfc822 format available.

Message #175 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 660111@bugs.debian.org
Subject: Re: multiple, non-physically accesible, HDMI devices
Date: Mon, 19 Mar 2012 11:17:08 -0500
block 660111 by 664653
quit

Andres Cimmarusti wrote:

> Done, see bug report: http://bugs.debian.org/664653

Thanks!  I guess let's put backporting the kernel-side HDMI jack
detection patches on hold until pulseaudio 2 gets packaged, unless you
know of some easy alternative test for whether the jack detection is
working.




Added blocking bug(s) of 660111: 664653 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 19 Mar 2012 16:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Thu, 19 Apr 2012 14:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 19 Apr 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #182 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: control@bugs.debian.org
Cc: 664653@bugs.debian.org, 660111@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#664653 pulseaudio: pa can't handle multiple HDMI devices -- chooses wrong default
Date: Thu, 19 Apr 2012 10:49:46 -0400
tags 664653 fixed-upstream
thanks

Pulseaudio upstream version 1.99.1 (or master, specifically after
commit e02cb7fb2e7865affed612693935c7fd698e3a6b) contains all the
necessary bits to allow the user to select from several HDMI devices
advertised by the kernel.

Please consider packaging.

Andres




Removed tag(s) fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 19 Apr 2012 16:06:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sun, 10 Jun 2012 19:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 10 Jun 2012 19:39:08 GMT) Full text and rfc822 format available.

Message #189 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: control@bugs.debian.org
Cc: 664653-done@bugs.debian.org, 660111@bugs.debian.org, jrnieder@gmail.com
Subject: Re: Bug#664653 pulseaudio: pa can't handle multiple HDMI devices -- chooses wrong default
Date: Sun, 10 Jun 2012 15:37:09 -0400
fixed 664653 2.0-3
thanks

As I reported earlier, version 2.0 of pulseaudio can handle multiple
HDMI outputs. Bug# 664653 is completely fixed. I've tested it
successfully in my computer.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 11 Jun 2012 00:00:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Jun 2012 00:00:37 GMT) Full text and rfc822 format available.

Message #194 received at 660111@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Andres Cimmarusti <acimmarusti@gmail.com>, 660111@bugs.debian.org
Cc: 664653@bugs.debian.org, jrnieder@gmail.com
Subject: Re: Bug#660111: Bug#664653 pulseaudio: pa can't handle multiple HDMI devices -- chooses wrong default
Date: Mon, 11 Jun 2012 00:59:57 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2012-06-10 at 15:37 -0400, Andres Cimmarusti wrote:
> fixed 664653 2.0-3
> thanks
> 
> As I reported earlier, version 2.0 of pulseaudio can handle multiple
> HDMI outputs. Bug# 664653 is completely fixed. I've tested it
> successfully in my computer.

Do we still need to make kernel changes for wheezy, or does the new PA
together with the current kernel package (version 3.2.19-1) avoid this
problem?

Ben.

-- 
Ben Hutchings
Computers are not intelligent.	They only think they are.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 11 Jun 2012 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Jun 2012 00:21:03 GMT) Full text and rfc822 format available.

Message #199 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 660111@bugs.debian.org, 664653@bugs.debian.org, jrnieder@gmail.com
Subject: Re: Bug#660111: Bug#664653 pulseaudio: pa can't handle multiple HDMI devices -- chooses wrong default
Date: Sun, 10 Jun 2012 20:18:16 -0400
> Do we still need to make kernel changes for wheezy, or does the new PA
> together with the current kernel package (version 3.2.19-1) avoid this
> problem?

PA 2.0 can handle all the HDMI outputs advertised by the kernel, but
one has to try all of them using pavucontrol to find the "correct"
one.
With kernel's 3.3 jack detection, this is done automatically.

Personally I think PA 2.0 is sufficient, since the user can select the
right HDMI output, but automatic detection is definitely better for
ease of use. Since the Ubuntu team has already done the backport,
perhaps this won't be too hard?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 11 Jun 2012 00:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Jun 2012 00:21:05 GMT) Full text and rfc822 format available.

Message #204 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Andres Cimmarusti <acimmarusti@gmail.com>, 660111@bugs.debian.org
Subject: Re: multiple, non-physically accesible, HDMI devices (Re: pulseaudio: pa can't handle multiple HDMI devices)
Date: Sun, 10 Jun 2012 19:19:56 -0500
Ben Hutchings wrote:

> Do we still need to make kernel changes for wheezy, or does the new PA
> together with the current kernel package (version 3.2.19-1) avoid this
> problem?

I think Andres mentioned some patches that expose detected jack status
using kcontrols.

Andres, do you know of relevant commit ids?  Can you describe the
difference in behavior between 3.2.19-1 and 3.4.1-1~experimental.1 and
whether it's worth backporting these changes?

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 11 Jun 2012 00:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Jun 2012 00:24:05 GMT) Full text and rfc822 format available.

Message #209 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: Ben Hutchings <ben@decadent.org.uk>, 660111@bugs.debian.org
Subject: Re: pulseaudio: pa can't handle multiple HDMI devices -- chooses wrong default
Date: Sun, 10 Jun 2012 19:21:26 -0500
Andres Cimmarusti wrote:

> PA 2.0 can handle all the HDMI outputs advertised by the kernel, but
> one has to try all of them using pavucontrol to find the "correct"
> one.
> With kernel's 3.3 jack detection, this is done automatically.

Presumably this means

  01a61e12b460 ALSA: hda - Create jack-detection kcontrols

plus prerequisites.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 11 Jun 2012 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Jun 2012 00:27:03 GMT) Full text and rfc822 format available.

Message #214 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Ben Hutchings <ben@decadent.org.uk>, 660111@bugs.debian.org
Subject: Re: multiple, non-physically accesible, HDMI devices (Re: pulseaudio: pa can't handle multiple HDMI devices)
Date: Sun, 10 Jun 2012 20:25:15 -0400
> Andres, do you know of relevant commit ids?  Can you describe the
> difference in behavior between 3.2.19-1 and 3.4.1-1~experimental.1 and
> whether it's worth backporting these changes?

I will try the kernel from experimental and let you know if the
changes are worth while. Unfortunately I have not tracked the relevant
commits. But it looks like you probably found them. We can probably
contact David Henningsson from Canonical, since he was heavily
involved in it and provided a lot of guidance to solve this issue.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 11 Jun 2012 00:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Jun 2012 00:45:04 GMT) Full text and rfc822 format available.

Message #219 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Ben Hutchings <ben@decadent.org.uk>, 660111@bugs.debian.org, David Henningsson <david.henningsson@canonical.com>
Subject: Re: multiple, non-physically accesible, HDMI devices (Re: pulseaudio: pa can't handle multiple HDMI devices)
Date: Sun, 10 Jun 2012 20:40:31 -0400
On Sun, Jun 10, 2012 at 8:25 PM, Andres Cimmarusti
<acimmarusti@gmail.com> wrote:
>> Andres, do you know of relevant commit ids?  Can you describe the
>> difference in behavior between 3.2.19-1 and 3.4.1-1~experimental.1 and
>> whether it's worth backporting these changes?
>
> I will try the kernel from experimental and let you know if the
> changes are worth while. Unfortunately I have not tracked the relevant
> commits. But it looks like you probably found them. We can probably
> contact David Henningsson from Canonical, since he was heavily
> involved in it and provided a lot of guidance to solve this issue.

I just tried kernel 3.4.1-1~experimental.1. I could see NO benefit at
all in using that kernel. I still had to choose from a long list of
advertised HDMI interfaces in pavucontrol before finding the correct
one that produced sound on the TV speakers.

On my laptop at least, I saw NO automatic jack detection benefit
whatsoever. Is there anything else that needs to change?

Perhaps David Henningsson can comment?

Thanks

Andres




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 11 Jun 2012 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Henningsson <david.henningsson@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Jun 2012 05:51:03 GMT) Full text and rfc822 format available.

Message #224 received at 660111@bugs.debian.org (full text, mbox):

From: David Henningsson <david.henningsson@canonical.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>, 660111@bugs.debian.org
Subject: Re: multiple, non-physically accesible, HDMI devices (Re: pulseaudio: pa can't handle multiple HDMI devices)
Date: Mon, 11 Jun 2012 07:48:50 +0200
On 06/11/2012 02:40 AM, Andres Cimmarusti wrote:
> On Sun, Jun 10, 2012 at 8:25 PM, Andres Cimmarusti
> <acimmarusti@gmail.com>  wrote:
>>> Andres, do you know of relevant commit ids?  Can you describe the
>>> difference in behavior between 3.2.19-1 and 3.4.1-1~experimental.1 and
>>> whether it's worth backporting these changes?
>>
>> I will try the kernel from experimental and let you know if the
>> changes are worth while. Unfortunately I have not tracked the relevant
>> commits. But it looks like you probably found them. We can probably
>> contact David Henningsson from Canonical, since he was heavily
>> involved in it and provided a lot of guidance to solve this issue.
>
> I just tried kernel 3.4.1-1~experimental.1. I could see NO benefit at
> all in using that kernel. I still had to choose from a long list of
> advertised HDMI interfaces in pavucontrol before finding the correct
> one that produced sound on the TV speakers.
>
> On my laptop at least, I saw NO automatic jack detection benefit
> whatsoever. Is there anything else that needs to change?
>
> Perhaps David Henningsson can comment?

You're correct; even if the information is there, it isn't advertised in 
pavucontrol. I should probably implement that...
(If you're using Ubuntu 12.04, you will have a new sound settings UI 
that hides unavailable devices. For upstreaming of this UI please see 
the gnome-cc list.)

What you'll get is instead what the module-switch-on-port-available 
module provides. When you plug your headphones in, the selected port 
will switch (you should be able to notice this in pavucontrol I think), 
which means your media keys / sound indicator / etc would control your 
headphone's volume instead of your speaker's volume.

For the multi HDMI case - if you have selected the wrong HDMI interface, 
and then activate your HDMI screen, module-switch-on-port-available 
should automatically switch to the correct one.

This is all assuming you're running PulseAudio 2.0 - earlier versions of 
PulseAudio do not have this functionality.

Should you be interested in backporting the jack detection kernel 
patches, I'll be happy to point you to the Ubuntu kernel's git tree, 
where I did the same thing.

-- 
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Fri, 28 Sep 2012 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 28 Sep 2012 13:48:03 GMT) Full text and rfc822 format available.

Message #229 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: 660111@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: multiple, non-physically accesible, HDMI devices (Re: pulseaudio: pa can't handle multiple HDMI devices)
Date: Fri, 28 Sep 2012 09:45:11 -0400
> You're correct; even if the information is there, it isn't advertised in
> pavucontrol. I should probably implement that...
> (If you're using Ubuntu 12.04, you will have a new sound settings UI that
> hides unavailable devices. For upstreaming of this UI please see the
> gnome-cc list.)
>
> What you'll get is instead what the module-switch-on-port-available module
> provides. When you plug your headphones in, the selected port will switch
> (you should be able to notice this in pavucontrol I think), which means your
> media keys / sound indicator / etc would control your headphone's volume
> instead of your speaker's volume.
>
> For the multi HDMI case - if you have selected the wrong HDMI interface, and
> then activate your HDMI screen, module-switch-on-port-available should
> automatically switch to the correct one.
>
> This is all assuming you're running PulseAudio 2.0 - earlier versions of
> PulseAudio do not have this functionality.
>
> Should you be interested in backporting the jack detection kernel patches,
> I'll be happy to point you to the Ubuntu kernel's git tree, where I did the
> same thing.

Has this been backported? Personally I think this bug should closed
whether it's been backported or not. The gain in backporting jack
detection is minimal because the GUI's haven't completely caught up
with this feature yet as David mentioned and the user still needs to
pick from one of the multiple HDMI ports advertised by the kernel.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Sat, 29 Sep 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 29 Sep 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #234 received at 660111@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 660111@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: multiple, non-physically accesible, HDMI devices
Date: Sat, 29 Sep 2012 10:47:27 -0700
Andres Cimmarusti wrote:

> Has this been backported? Personally I think this bug should closed
> whether it's been backported or not. The gain in backporting jack
> detection is minimal because the GUI's haven't completely caught up
> with this feature yet as David mentioned and the user still needs to
> pick from one of the multiple HDMI ports advertised by the kernel.

Shouldn't we consider reverting 384a48d71520 (ALSA: hda: HDMI: Support
codecs with fewer cvts than pins, 2011-06-01) in wheezy if userspace
hasn't caught up with the new order of things?

I haven't looked deeply into this or tried it, but it seems at least
worth thinking over.

Thanks again for your help and patience,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#660111; Package linux-2.6. (Mon, 01 Oct 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 14:15:03 GMT) Full text and rfc822 format available.

Message #239 received at 660111@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 660111@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: multiple, non-physically accesible, HDMI devices
Date: Mon, 01 Oct 2012 10:13:50 -0400
On 09/29/2012 01:47 PM, Jonathan Nieder wrote:
> Shouldn't we consider reverting 384a48d71520 (ALSA: hda: HDMI: Support
> codecs with fewer cvts than pins, 2011-06-01) in wheezy if userspace
> hasn't caught up with the new order of things?
>
> I haven't looked deeply into this or tried it, but it seems at least
> worth thinking over.

Mmm. I don't know if this is a good idea. That patch allowed support for 
video cards with multiple (physically accessible) HDMI ports. Before, 
the kernel would just choose one to be advertised and the others could 
not be accessed.

Andres




Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Mon, 08 Jul 2013 16:24:29 GMT) Full text and rfc822 format available.

Notification sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Bug acknowledged by developer. (Mon, 08 Jul 2013 16:24:29 GMT) Full text and rfc822 format available.

Message #244 received at 660111-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 660111-done@bugs.debian.org
Subject: Re: multiple, non-physically accesible, HDMI devices (Re: pulseaudio: pa can't handle multiple HDMI devices)
Date: Mon, 8 Jul 2013 18:19:58 +0200
On Fri, Sep 28, 2012 at 09:45:11AM -0400, Andres Cimmarusti wrote:
> > Should you be interested in backporting the jack detection kernel patches,
> > I'll be happy to point you to the Ubuntu kernel's git tree, where I did the
> > same thing.
> 
> Has this been backported? Personally I think this bug should closed
> whether it's been backported or not. The gain in backporting jack
> detection is minimal because the GUI's haven't completely caught up
> with this feature yet as David mentioned and the user still needs to
> pick from one of the multiple HDMI ports advertised by the kernel.

Ok, closing the bug.

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Aug 2013 07:27:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:15:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.